﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            AT E4440A: (2 yr) VER /9640-LPN,4419,LFCTR,SWPG,UWSG
DATE:                  2017-02-02 14:17:10
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18115 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       327
CONFIGURATION:         Fluke 9640A (LPN)
CONFIGURATION:         Fluke 9640A-50
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8482A on channel 1
CONFIGURATION:         HP 8482A on channel 2
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         HP 8485D on channel 1
CONFIGURATION:         LF Counter
CONFIGURATION:         Sweep Generator
CONFIGURATION:         µW Signal Generator
STANDARD:              Agilent 11667A
STANDARD:              Agilent 11667B
STANDARD:              Agilent 86205A
STANDARD:              Agilent 87300B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Source(s):
#        Specifications Guide, Agilent Technologies PSA Series Spectrum
#        Analyzers, Manufacturing Part No. E4440-90644, April 2011
#
#        http://calsw.tm.agilent.com/PSA/Help/n7810a.htm, "Agilent N7810A PSA
#        Series Calibration Application Software, Test System Overview",
#        compiled 29 Oct 2010.
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 18 GHz, 6 dB insertion loss, output
#          tracking: <0.25 dB, equivalent output SWR: <1.22, Agilent® 11667A
#        Power Splitter, 1 kHz to 26.5 GHz, 6 dB insertion loss, output
#          tracking: <0.25 dB, equivalent output SWR: <1.22, Agilent 11667B
#        Filter, Low Pass, 50 MHz, Rejection at >65 MHz: > 40 dB, Rejection at
#          >75 MHz: > 60 dB, 2 ea.; Agilent 0955-0306 or equivalent
#        Filter, Low Pass, 1.8 GHz, Rejection 2.1 to 6 GHz: > 45 dB, 2 ea.,
#          Agilent 0955-0491 or equivalent
#        Filter, Low Pass, 4.4 GHz, Rejection at > 5.5 GHz: > 42 dB, 2 ea.,
#          HP 360D or equivalent
#        Directional Bridge, 5 MHz to 3 GHz, Directivity: >40 dB, Coupling
#          Factor: 16 dB, Insertion Loss: 2 dB max, Agilent 86205A
#        Directional Coupler, 2 GHz to 15 GHz, Directivity: >16 dB, Max VSWR:
#          1.35:1, Transmission Arm Loss: <1.5 dB, Coupled Arm Loss: ~10 dB,
#          Agilent 87300B
#
#        See procedure body for specific cables and adapters required.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  9640         +Freq = 1 GHz; Level = 0 dBm; OutputImp = 50 Ohms; LPN
  1.003  M4419  F64   8482A          Default       8482A          100pct
  1.004  4419         0.000D                       3GH               RF N  CH1
  1.005  M4419  F64   8485A
  1.006  M4419  F64   8485D
  1.007  IEEE         [@LFCTR]
  1.007  IEEE         [@SWPG]
  1.007  IEEE         [@UWSG]
  1.008  STD          Agilent 11667A
  1.009  STD          Agilent 11667B
  1.010  STD          Agilent 86205A
  1.011  STD          Agilent 87300B
  1.012  ENDIF

  1.013  ASK-   R   Q N              P J                             L     V

  1.014  IF           NOT(VERSIONCHECK("7.3.36"))
  1.015  END
  1.016  ENDIF

  1.017  CALL         Sub Display Copyright

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  DISP         Prior to beginning verification, a UUT warm-up time
  1.019  DISP         of 2 hours minimum, must have been allowed to elapse.

  1.020  CALL         Sub UUT Connection GPIB

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.024  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.025  MATH         @UUT_Model         = "E4440A"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.030  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.031  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.032  DISP         The file parameter setting is: "acc_check=no"
  1.032  DISP
  1.032  DISP         For correct procedure execution, this parameter
  1.032  DISP         MUST be set to: "acc_check=yes"
  1.032  DISP
  1.032  DISP         Select "Advance" to terminate the procedure, exit
  1.032  DISP         MET/CAL®, change the initialization file parameter,
  1.032  DISP         restart MET/CAL, then restart the procedure.
  1.033  END
  1.034  ENDIF

  1.035  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.036  CALL         Sub Select Failed Test Mode
  1.037  CALL         Sub Select Verification Method

  1.038  HEAD         CONNECTION INFORMATION
  1.039  OPBR         -z Do you wish to review connector information and
  1.039  OPBR         precautions for the various types of connections
  1.039  OPBR         employed throughout this procedure?[NO]

  1.040  IF           MEM1
  1.041  CALL         Sub Connector Precautions (Type N)
  1.042  CALL         Sub Connector Precautions (SMA)
  1.043  CALL         Sub Connector Precautions (3.5 mm)
  1.044  ENDIF

  1.045  HEAD         PROCEDURE DESCRIPTION
  1.046  DISP         This procedure supports the E4440A PSA Series
  1.046  DISP         Spectrum Analyzer and the following options:
  1.046  DISP
  1.046  DISP         - BAB (APC 3.5 mm input connector)
  1.046  DISP         - 1DS (RF Preamplifier)
  1.046  DISP         - 110 (RF/µWave Preamplifier)
  1.046  DISP
  1.046  DISP         [32]                       NOTE
  1.046  DISP         Some available UUT options do not require periodic
  1.046  DISP         verification or are not supported.

  1.047  RESET        *CLS;:ROSC:SOUR INT
  1.048  CALL         Sub PSA Set Configuration Variables
  1.049  SCPI         [@9640]*IDN?[I$]
  1.050  CALL         Sub 9640A Check Configuration / Set Parameters

  1.051  HEAD         EQUIPMENT REQUIREMENTS
  1.052  MATH         @Abort = 0
  1.053  MATH         @ReqFreqRefAcc_ppm = 0.045
  1.054  CALL         Sub Check Frequency Reference Accuracy

  1.055  IF           @Abort
  1.056  END
  1.057  ENDIF

  1.058  CALL         Sub Initialize /LFCTR
  1.059  CALL         Sub Initialize /SWPG
  1.060  CALL         Sub Initialize /UWSG

  1.061  MATH         FreqRef = INI("startup", "FreqRefDevName")

  1.062  IF           NOT(ZCMP(FreqRef, @LFCTR_DevName))
  1.063  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  1.063  DISP         [V @LFCTR_DevName] [V @LFCTR_RefIn].
  1.064  ENDIF

  1.065  CALL         Sub PSA Add'l Equipment Minimum Use Requirements

  1.066  IF           @Abort
  1.067  END
  1.068  ENDIF

  1.069  HEAD         POWER METER CAL FACTORS
  1.070  HEAD         -2 Cal Factor Maintenance

  1.071  IF           @Opt_110
  1.072  MATH         @TableName = "8482A,8482A,8485A,8485D"
  1.073  DISP         2 ea. 8482A, 1 ea. 8485A, and 1 ea. 8485D Power Sensors
  1.073  DISP         are required to perform this verification. (Only cal
  1.073  DISP         factors for the 8482A connected to CHANNEL A, the 8485A,
  1.073  DISP         and the 8485D are required.)
  1.073  DISP
  1.074  ELSE
  1.075  MATH         @TableName = "8482A,8482A,8485A"
  1.076  DISP         2 ea. 8482A Power Sensors and 1 ea. 8485A are required
  1.076  DISP         required to perform this verification. (Only cal factors
  1.076  DISP         associated with the 8482A connected to CHANNEL A and the
  1.076  DISP         8485A are required.)
  1.077  ENDIF

  1.078  DO
  1.079  HEAD         POWER METER CAL FACTORS
  1.080  CALL         Sub EPM Check Cal Factor Table Name IEEE

  1.081  IF           @Error
  1.082  MATH         MEM1 = 1
  1.083  ELSE
  1.084  HEAD         -2 Cal Factor Maintenance
  1.085  OPBR         -z Do you wish to review, enter, delete, or rename Power
  1.085  OPBR         Meter cal factor table entries for required sensor(s)
  1.085  OPBR         prior to proceeding?
  1.086  ENDIF

  1.087  IF           MEM1
  1.088  CALL         Sub HP/Agilent E441x Cal Factor Utility IEEE
  1.089  ENDIF

  1.090  UNTIL        NOT(@Error)

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with available documentation.
#
# Agilent E4440A
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   INTERNAL ALIGNMENT                 INTERNAL ALIGNMENT
#    2.   FREQUENCY REFERENCE ACCURACY       REFERENCE FREQUENCY ACCURACY
#    3.   POWER BANDWIDTH ACCURACY           POWER BANDWIDTH ACCURACY
#    4.   RESOLUTION BANDWIDTH SWITCHING     RESOLUTION BANDWIDTH SWITCHING
#    5.   RESIDUAL RESPONSES                 SRESIDUAL RESPONSES
#    6.   DISPLAYED AVERAGE NOISE LEVEL      DISPLAYED AVERAGE NOISE LEVEL
#    7.   FREQUENCY READOUT ACCURACY         FREQUENCY READOUT ACCURACY
#    8.   FREQUENCY SPAN READOUT             FREQUENCY SPAN READOUT
#    9.   COUNT ACCURACY                     COUNT ACCURACY
#   10.   SPURIOUS RESPONSES                 NOISE SIDEBANDS < 50 kHz
#   11.   FREQUENCY RESPONSE (LF)            ABSOLUTE AMPLITUDE ACCURACY
#   12.   FREQUENCY RESPONSE (RF)            INPUT ATTENUATOR SWITCHING
#   13.   FREQUENCY RESPONSE (µW)            DISPLAY SCALE FIDELITY
#   14.   FREQUENCY RESPONSE (Option 110)    SECOND HARMONIC DISTORTION
#   15.   THIRD ORDER INTERMODULATION        NOISE SIDEBANDS > 50 kHz
#   16.   SECOND HARMONIC DISTORTION         FREQUENCY RESPONSE (LF)
#   16a.  SECOND HARMONIC DISTORTION (µW)    FREQUENCY RESPONSE (RF)
#   17.   ABSOLUTE AMPLITUDE ACCURACY        FREQUENCY RESPONSE (µW)
#   18.   INPUT ATTENUATOR SWITCHING         SPURIOUS RESPONSES
#   19.   DISPLAY SCALE FIDELITY             SECOND HARMONIC DISTORTION (µW)
#   20.   NOISE SIDEBANDS < 50 kHz           THIRD ORDER INTERMODULATION
#   21.   NOISE SIDEBANDS > 50 kHz           FREQUENCY RESPONSE (Option 110)

  1.091  HEAD         FREQUENCY REFERENCE CONNECTIONS
  1.092  DISP         Make the following connections:
  1.092  DISP
  1.092  DISP         [32]    UUT (rear)     to    [V @9640DevName] (rear)
  1.092  DISP         [32]  10 MHz REF IN -------> REF FREQUENCY OUT

  1.093  RSLT         =
  1.094  TARGET
  1.095  CALL         Sub PSA Internal Alignment
  1.096  EVAL   -e NOT(MEM) : INTERNAL ALIGNMENT

  2.001  CALL         Sub PSA (2 yr) Frequency Reference VER /LFCTR

  2.002  CALL         Sub PSA (2 yr) Power Bandwidth Accuracy VER
  2.003  CALL         Sub PSA (2 yr) Resolution Bandwidth Switching VER
  2.004  CALL         Sub PSA (2 yr) Residual Responses VER
  2.005  CALL         Sub PSA (2 yr) Displayed Average Noise Level VER
  2.006  CALL         Sub PSA (2 yr) Frequency Readout Accuracy VER /9640
  2.007  CALL         Sub PSA (2 yr) Frequency Span VER /9640
  2.008  CALL         Sub PSA (2 yr) Count Accuracy VER /9640
  2.009  JMPL         NOISE_LF

  2.010  LABEL        SPURIOUS
  2.011  CALL         Sub PSA (2 yr) Spurious Responses VER /4418,8485,SWPG
  2.012  JMPL         2ND_HARM_DISTORTION_HF

  2.013  LABEL        LF_FREQ_RESPONSE
  2.014  CALL         Sub PSA (2 yr) Frequency Response (LF) VER /9640
  2.015  CALL         Sub PSA (2 yr) Freq Resp (RF) VER /9640,4419,8482,SWPG
  2.016  CALL         Sub PSA (2 yr) Freq Response VER /4418,8485,SWPG
  2.017  JMPL         SPURIOUS

  2.018  LABEL        FREQ_RESPONSE_OPT_110
  2.019  CALL         Sub PSA (2 yr) Freq Resp (Opt 110) VER /4418,8485,SWPG
  2.020  JMPL         END

  2.021  LABEL        TOI
  2.022  CALL         Sub PSA (2 yr) Third Order VER /4418,8485,SWPG,UWSG
  2.023  JMPL         FREQ_RESPONSE_OPT_110        @Opt_110
  2.024  JMPL         END

  2.025  LABEL        2ND_HARM_DISTORTION
  2.026  CALL         Sub PSA (2 yr) 2nd Harmonic Distortion VER /9640
  2.027  JMPL         NOISE_HF

  2.028  LABEL        2ND_HARM_DISTORTION_HF
  2.029  CALL         Sub PSA (2 yr) 2nd Harmonic Dist VER /4418,8485,SWPG
  2.030  JMPL         TOI

  2.031  LABEL        ABSOLUTE_AMPLITUDE
  2.032  CALL         Sub PSA (2 yr) Absolute Amplitude Accuracy VER /9640
  2.033  CALL         Sub PSA (2 yr) Input Attenuation Switching VER /9640
  2.034  CALL         Sub PSA (2 yr) Display Scale Fidelity VER /9640
  2.035  JMPL         2ND_HARM_DISTORTION

  2.036  LABEL        NOISE_LF
  2.037  CALL         Sub PSA (2 yr) Noise Sidebands (<50 kHz) VER /9640-LPN
  2.038  JMPL         ABSOLUTE_AMPLITUDE

  2.039  LABEL        NOISE_HF
  2.040  CALL         Sub PSA (2 yr) Noise Sidebands (>50 kHz) VER /9640-LPN
  2.041  JMPL         LF_FREQ_RESPONSE

  2.042  LABEL        END
# Delete file after verification is complete.
  2.043  DOS          -u cmd /c del "[V @IniFile]"

# If preset mode at beginning was not "Factory", restore original setting.
  2.044  IF           NOT(ZCMPI(@PresetType, "FACT"))
  2.045  SCPI         SYST:PRES:TYPE [V @PresetType]
  2.046  ENDIF

  2.047  END
