﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub EPM-series Review Cal Factors IEEE
INSTRUMENT:            Sub EPM-series Enter Cal Factors IEEE
INSTRUMENT:            Sub EPM-series Delete Cal Factors IEEE
INSTRUMENT:            Sub EPM-series Rename Cal Factors IEEE
DATE:                  2015-09-04 10:29:44
AUTHOR:                Fluke
REVISION:              $Revision: 12981 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       555
CONFIGURATION:         Agilent EPM
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        EPM-441A, EPM-442A, E4418A/B, E4419A/B
#
#  Source(s):
#        HP EPM-441A/442A Power Meters Programming Guide, HP Part No.
#        E4418-90025, March 1998
#
#        Agilent Technologies E4418B/E4419B Power Meters Programming Guide,
#        Part No. E4418-90029, November 2008
#
#  Compatibility:
#        MET/CAL 7.20 SP2 (7.20T) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Table = @EPMCalFactorTable

  1.002  JMPL         REVIEW_CAL_FACTORS           PSUBI("Review")
# Initialize abortion variable.
  1.003  MATH         @Abort = 0
  1.004  JMPL         ENTER_CAL_FACTORS            PSUBI("Enter")
  1.005  JMPL         DELETE_CAL_FACTORS           PSUBI("Delete")
  1.006  JMPL         RENAME_CAL_FACTORS           PSUBI("Rename")
  1.007  DISP         Called {Subprocedure Not Found}!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub EPM-series Review Cal Factors IEEE  ===========================

  2.001  LABEL        REVIEW_CAL_FACTORS

  2.002  HEAD         -2 Review Cal Factor Table Data: "[V Table]"
# Query for number of frequency/cal factor pairs currently stored in table.
  2.003  IEEE         [@EPM]MEM:TABL:FREQ:POIN?[I]
# Store number of frequency/cal factor pairs currently stored in table.
  2.004  MATH         NumCalFactors = MEM
# Retrieve cal factor frequencies...
  2.005  IEEE         [@EPM]MEM:TABL:FREQ?[I$]
  2.006  MATH         CF_Freq = MEM2
# Retrieve cal factor (gain) values...
  2.007  IEEE         [@EPM]MEM:TABL:GAIN?[I$]
  2.008  MATH         CF_Gain = MEM2

  2.009  IF           EMPTY(CF_Freq) || EMPTY(CF_Gain) || (NumCalFactors < 1)
  2.010  DISP         Sensor calibration table "[V Table]" is empty!
  2.010  DISP
  2.010  DISP         Select "Advance" to continue.
  2.011  MATH         @EPMCalFactorsOk = 1

  2.012  ELSE

# If sensor table is "DEFAULT"...
  2.013  IF           FINDI(@EPMCalFactorTable, "DEFAULT", 1)
  2.014  MATH         FreqUnits = "GHz"
# If sensor model is an (N)8481A, (N)8481B, (N)8481D, or (N)8481H...
  2.015  ELSEIF       FINDI(@EPMCalFactorTable, "8481", 1)
  2.016  MATH         FreqUnits = "GHz"
# If sensor model is an (N)8482A, (N)8482B, or (N)8482H...
  2.017  ELSEIF       FINDI(@EPMCalFactorTable, "8482", 1)
  2.018  MATH         FreqUnits = "MHz"
# If sensor model is an (N)8483A...
  2.019  ELSEIF       FINDI(@EPMCalFactorTable, "8483", 1)
  2.020  MATH         FreqUnits = "MHz"
# If sensor model is an (N)8485A or (N)8485D...
  2.021  ELSEIF       FINDI(@EPMCalFactorTable, "8485", 1)
  2.022  MATH         FreqUnits = "GHz"
# If sensor model is an R8486A, R8486D, or Q8486A...
  2.023  ELSEIF       FINDI(@EPMCalFactorTable, "8486", 1)
  2.024  MATH         FreqUnits = "GHz"
  2.025  ELSEIF       FINDI(@EPMCalFactorTable, "8487", 1)
  2.026  MATH         FreqUnits = "GHz"
# If sensor table is "CUSTOM_0" through "CUSTOM_9" or otherwise not specified
# as default, i.e., user defined, determine frequency units depending on the
# highest currently entered frequency.
  2.027  ELSE

  2.028  IF           FLD(CF_Freq, NumCalFactors, ",") > 1E+9
  2.029  MATH         FreqUnits = "GHz"
  2.030  ELSE
  2.031  MATH         FreqUnits = "MHz"
  2.032  ENDIF

  2.033  ENDIF

  2.034  MEM2         ="[V Table]" Cal Factors
  2.035  MATH         Id = LBNEW(MEM2)
  2.036  MATH         LBCONF(Id, "-border")

  2.037  MEM2         =FREQ ([V FreqUnits])   CAL FACTOR (%)
  2.038  MATH         LBTEXT(Id, MEM2)
# GainIndex starts at 2 since first gain in string is reference cal factor.
  2.039  MATH         FreqIndex = 1; GainIndex = 2

  2.040  DO
  2.041  HEAD         -2 Retrieving [V Table] Cal Factor #[V FreqIndex]
  2.042  MATH         Freq = FLD(CF_Freq, FreqIndex, ",")
  2.043  MATH         Freq = Freq / 1E+6

  2.044  IF           ZCMPI(FreqUnits, "MHz")

  2.045  IF           Freq < 1.0
  2.046  MATH         Freq = " " & FMT(Freq, "%4.2f") & " "
  2.047  ELSEIF       Freq < 10
  2.048  MATH         Freq = "   " & FMT(Freq, "%3.1f") & " "
  2.049  ELSEIF       Freq < 100
  2.050  MATH         Freq = "    " & FMT(Freq, "%2.0f") & " "
  2.051  ELSEIF       Freq < 1E+3
  2.052  MATH         Freq = "  " & FMT(Freq, "%3.0f") & " "
  2.053  ELSE
  2.054  MATH         Freq = FMT(Freq, "%4.0f") & " "
  2.055  ENDIF

  2.056  ELSE
  2.057  MATH         Freq = Freq / 1E+3

  2.058  IF           (Freq < 0.05) && (ZCMPI(Table, "DEFAULT"))
  2.059  MATH         Freq = FMT(Freq, "%6.4f") & " "
  2.060  ELSEIF       Freq < 1.0
  2.061  MATH         Freq = FMT(Freq, "%4.2f") & "   "
  2.062  ELSEIF       Freq < 10
  2.063  MATH         Freq = "  " & FMT(Freq, "%3.1f") & "   "
  2.064  ELSE
  2.065  MATH         Freq = FMT(Freq, "%4.1f") & "   "
  2.066  ENDIF

  2.067  ENDIF        ; ZCMPI(FreqUnits, "MHz")

  2.068  MATH         Gain = FMT(FLD(CF_Gain, GainIndex, ","), "%5.1f")
  2.069  MEM2         =      [V Freq]               [V Gain]
  2.070  MATH         LBTEXT(Id, MEM2)

# Increment frequency/cal factor pair counter.
  2.071  MATH         FreqIndex = FreqIndex + 1; GainIndex = GainIndex + 1
  2.072  UNTIL        FreqIndex > NumCalFactors

  2.073  HEAD         -2 Retrieving [V Table] Reference Cal Factor
  2.074  MATH         RefGain = FMT(FLD(CF_Gain, 1, ","), "%5.1f")
  2.075  MATH         LBTEXT(Id, " ")
  2.076  MEM2         =  REF CAL FACTOR:  [V RefGain] %
  2.077  MATH         LBTEXT(Id, MEM2)

  2.078  HEAD         -2 Cal Factor Table Data: "[V Table]"
  2.079  MATH         LBTEXT(Id, " ")
  2.080  MATH         LBTEXT(Id, "          Are these correct?")
  2.081  MATH         LBBUTTON(Id, "Yes")
  2.082  MATH         LBBUTTON(Id, "No")
  2.083  MATH         Status = LBSHOW(Id)
  2.084  MATH         @EPMCalFactorsOk = (Status == 1)
  2.085  ENDIF        ; EMPTY(CF_Freq) || EMPTY(CF_Gain)

  2.086  HEAD         -2
  2.087  END

  2.088  EVAL   Increment Step Number

# =====  Sub EPM-series Enter Cal Factors IEEE  ============================

  3.001  LABEL        ENTER_CAL_FACTORS

  3.002  HEAD         -2 Enter Cal Factor Table Data: "[V Table]"
  3.003  OPBR         -z After selecting "Yes," the non-volatile sensor
  3.003  OPBR         calibration (cal factor) table, "[V Table]", will
  3.003  OPBR         be cleared.
  3.003  OPBR
  3.003  OPBR         Do you wish to PROCEED?

  3.004  IF           NOT(MEM1)
  3.005  HEAD         -2
  3.006  MATH         @Abort = 1; @EPMCalFactorsOk = 1
  3.007  END
  3.008  ENDIF

  3.009  HEAD         -2 "[V Table]" Reference Cal Factor

  3.010  DO

  3.011  DO
  3.012  MATH         IdRefCF = LBNEW(Table & " Cal Factor Entry")
  3.013  MATH         LBCONF(IdRefCF, "+term,-border,+edit")
  3.014  MATH         LBTEXT(IdRefCF, "Enter Reference Cal Factor (%):")
  3.015  MATH         LBBUTTON(IdRefCF, "Enter")
  3.016  MATH         LBBUTTON(IdRefCF, "Cancel")
  3.017  MATH         @Abort = LBSHOW(IdRefCF)
  3.018  MATH         RefCF = LBRESP(IdRefCF)

  3.019  IF           @Abort > 1
  3.020  HEAD         -2
  3.021  END
  3.022  ELSEIF       EMPTY(RefCF)
  3.023  DISP         "[V Table]" Reference Cal Factor data missing!
  3.023  DISP
  3.023  DISP         Select "Advance" to retry.
  3.024  ELSEIF       NOT(IS_NUM(RefCF))
  3.025  DISP         The value entered, "[V RefCF]", contains non-numeric
  3.025  DISP         characters. Non-numeric characters are inappropriate
  3.025  DISP         for this entry.
  3.025  DISP
  3.025  DISP         Select "Advance" to retry.
  3.026  ENDIF

  3.027  UNTIL        NOT(EMPTY(RefCF)) && IS_NUM(RefCF)

  3.028  IF           NOT((RefCF >= 1) && (RefCF <= 150))
  3.029  DISP         Reference Cal Factor value must be between 1 and 150 %.
  3.030  ENDIF

  3.031  UNTIL        (RefCF >= 1) && (RefCF <= 150)

  3.032  MATH         RefCF = FMT(RefCF, "%5.2f")
  3.033  MATH         GainCmd = "MEM:TABL:GAIN " & RefCF & ","
  3.034  MATH         FreqCmd = "MEM:TABL:FREQ "

  3.035  HEAD         -2 "[V Table]" Cal Factors

  3.036  IF           FINDI(Table, "DEFAULT", 1)
  3.037  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 110000
  3.038  ELSEIF       FINDI(Table, "N8481", 1)
  3.039  MATH         MinFreqMHz = 10; MaxFreqMHz = 18000
  3.040  ELSEIF       FINDI(Table, "N8482", 1)
  3.041  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 6000
  3.042  ELSEIF       FINDI(Table, "N8485", 1)
  3.043  MATH         MinFreqMHz = 10; MaxFreqMHz = 33000
  3.044  ELSEIF       FINDI(Table, "N8486AQ", 1)
  3.045  MATH         MinFreqMHz = 33000; MaxFreqMHz = 50000
  3.046  ELSEIF       FINDI(Table, "N8486AR", 1)
  3.047  MATH         MinFreqMHz = 26500; MaxFreqMHz = 40000
  3.048  ELSEIF       FINDI(Table, "N8487", 1)
  3.049  MATH         MinFreqMHz = 50; MaxFreqMHz = 50000
  3.050  ELSEIF       FINDI(Table, "N8488", 1)
  3.051  MATH         MinFreqMHz = 10; MaxFreqMHz = 70000
  3.052  ELSEIF       FINDI(Table, "8481", 1)
  3.053  MATH         MinFreqMHz = 10; MaxFreqMHz = 18000
  3.054  ELSEIF       FINDI(Table, "8482", 1)
  3.055  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 4200
  3.056  ELSEIF       FINDI(Table, "8483", 1)
  3.057  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 2000
  3.058  ELSEIF       FINDI(Table, "8485", 1)
  3.059  MATH         MinFreqMHz = 50; MaxFreqMHz = 33000
  3.060  ELSEIF       FINDI(Table, "8486", 1)
  3.061  MATH         MinFreqMHz = 50; MaxFreqMHz = 40000
  3.062  ELSEIF       FINDI(Table, "8487", 1)
  3.063  MATH         MinFreqMHz = 50; MaxFreqMHz = 50000
  3.064  ELSE
  3.065  MATH         MinFreqMHz = 0.1; MaxFreqMHz = 110000
  3.066  ENDIF

# Intialize completion variable.
  3.067  MATH         Select = 0

# Enter cal factors/frequency data...
  3.068  WHILE        Select < 4
  3.069  MATH         Line1 = " Enter Cal Factor FREQUENCY. Select suffix to"
  3.070  MATH         Line2 = " complete entry."
  3.071  MATH         Line3 = ""
  3.072  MATH         Line4 = " Select 'Done' if no more frequency/cal factor"
  3.073  MATH         Line5 = " pairs are to be entered."

# Enter frequency data...
  3.074  DO

  3.075  DO
  3.076  MATH         FreqOK = 0
  3.077  MATH         IdFE = LBNEW(Table & " Cal Factor Frequency Entry    ")
  3.078  MATH         LBCONF(IdFE, "+term,-border,+edit")
  3.079  MATH         LBTEXT(IdFE, Line1)
  3.080  MATH         LBTEXT(IdFE, Line2)
  3.081  MATH         LBTEXT(IdFE, Line3)
  3.082  MATH         LBTEXT(IdFE, Line4)
  3.083  MATH         LBTEXT(IdFE, Line5)
  3.084  MATH         LBBUTTON(IdFE, "kHz")
  3.085  MATH         LBBUTTON(IdFE, "MHz")
  3.086  MATH         LBBUTTON(IdFE, "GHz")
  3.087  MATH         LBBUTTON(IdFE, "Done")
  3.088  MATH         Select = LBSHOW(IdFE)
  3.089  MATH         Freq = LBRESP(IdFE)

  3.090  IF           Select > 3
# Do nothing - 4 signifies all done entering cal factor data - Bail out!
  3.091  ELSEIF       EMPTY(Freq)
  3.092  DISP         Frequency data missing!
  3.092  DISP
  3.092  DISP         Select "Advance" to retry.

  3.093  ELSEIF       NOT(IS_NUM(Freq))
  3.094  DISP         The value entered, "[V Freq]", contains non-numeric
  3.094  DISP         characters. Non-numeric characters are inappropriate
  3.094  DISP         for this entry.
  3.094  DISP
  3.094  DISP         Select "Advance" to retry.

  3.095  ELSEIF       Select == 1
  3.096  MATH         Units = "kHz"
  3.097  MATH         Min = MinFreqMHz * 1E+3; Max = MaxFreqMHz * 1E+3
  3.098  ELSEIF       Select == 2
  3.099  MATH         Units = "MHz"
  3.100  MATH         Min = MinFreqMHz; Max = MaxFreqMHz
  3.101  ELSEIF       Select == 3
  3.102  MATH         Units = "GHz"
  3.103  MATH         Min = MinFreqMHz / 1E+3; Max = MaxFreqMHz / 1E+3
  3.104  ENDIF

  3.105  UNTIL        (NOT(EMPTY(Freq)) && IS_NUM(Freq)) || (Select > 3)

  3.106  IF           Select > 3
# Allow empty frequency reading to drop through to facilitate exit routine.
  3.107  MATH         FreqOK = 1
  3.108  ELSEIF       (Freq >= Min) && (Freq <= Max)
  3.109  MATH         FreqOK = 1
  3.110  ELSE
  3.111  DISP         Entered frequency for sensor calibration table,
  3.111  DISP         "[V Table]", is out of range!
  3.111  DISP
  3.111  DISP         Frequency must be between [V Min] and [V Max] [V Units].
  3.112  MATH         FreqOK = 0
  3.113  ENDIF

  3.114  UNTIL        FreqOK || (Select > 3)

  3.115  JMPL         DONE                         Select > 3

  3.116  MATH         C_Freq = Freq & Units
  3.117  MATH         FreqCmd = FreqCmd & C_Freq
  3.118  MATH         Freq = STRIPL(FMT(Freq, "%7.2f"))

  3.119  MEM2         = Enter [V Freq] [V Units] Cal Factor (%):

# Enter cal factor data...
  3.120  DO

  3.121  DO
  3.122  MATH         IdCF = LBNEW(Table & " Cal Factor Entry")
  3.123  MATH         LBCONF(IdCF, "+term,-border,+edit")
  3.124  MATH         LBTEXT(IdCF, MEM2)
  3.125  MATH         LBBUTTON(IdCF, "Enter")
  3.126  MATH         LBBUTTON(IdCF, "Cancel")
  3.127  MATH         @Abort = LBSHOW(IdCF)
  3.128  MATH         CF = LBRESP(IdCF)

  3.129  IF           @Abort > 1
  3.130  HEAD         -2
  3.131  END
  3.132  ELSEIF       EMPTY(CF)
  3.133  DISP         "[V Table]" [V Freq] [V Units] cal factor data missing!
  3.133  DISP
  3.133  DISP         Select "Advance" to retry.
  3.134  ELSEIF       NOT(IS_NUM(CF))
  3.135  DISP         The value entered, "[V CF]", contains non-numeric
  3.135  DISP         characters. Non-numeric characters are inappropriate
  3.135  DISP         for this entry.
  3.135  DISP
  3.135  DISP         Select "Advance" to retry.
  3.136  ENDIF

  3.137  UNTIL        NOT(EMPTY(CF)) && IS_NUM(CF)

  3.138  IF           NOT((CF >= 1) && (CF <= 150))
  3.139  DISP         Cal Factor value must be between 1 and 150 %.
  3.139  DISP
  3.139  DISP         Select "Advance" to retry.
  3.140  ENDIF

  3.141  UNTIL        (CF >= 1) && (CF <= 150)

  3.142  MATH         CF = FMT(CF, "%6.1f")
  3.143  MATH         GainCmd = GainCmd & CF

  3.144  LABEL        DONE

  3.145  IF           Select < 4
  3.146  MATH         GainCmd = GainCmd & ","
  3.147  MATH         FreqCmd = FreqCmd & ","
  3.148  ENDIF

  3.149  IF           (LEN(GainCmd) < 15) || (LEN(FreqCmd) < 15)

  3.150  IF           LEN(GainCmd) < 15
  3.151  MATH         ErrorText = "Cal Factor"
  3.152  ELSE
  3.153  MATH         ErrorText = "Frequency"
  3.154  ENDIF

  3.155  DISP         [V ErrorText] data missing or incomplete!
  3.155  DISP
  3.155  DISP         Select "Advance" to continue.
  3.156  MATH         Select = 0
  3.157  ENDIF

  3.158  ENDW

  3.159  IEEE         [@EPM][V FreqCmd]
  3.160  IEEE         [@EPM][V GainCmd]
  3.161  MATH         @EPMCalFactorsOk = 1

  3.162  LABEL        END
  3.163  HEAD         -2
  3.164  HEAD
  3.165  END

  3.166  EVAL   Increment step number

# =====  Sub EPM-series Delete Cal Factors IEEE  ===========================

  4.001  LABEL        DELETE_CAL_FACTORS

  4.002  HEAD         -2 Delete Cal Factor Table: "[V Table]"

  4.003  IF           ZCMPI(Table, "DEFAULT")
  4.004  OPBR         -z You have chosen to delete the DEFAULT cal factor
  4.004  OPBR         table.
  4.004  OPBR
  4.004  OPBR         The "DEFAULT" sensor calibration table is used for
  4.004  OPBR         performance testing of the power meter and normally
  4.004  OPBR         is NOT changed.
  4.004  OPBR
  4.004  OPBR         ARE YOU SURE you want to DELETE the DEFAULT table?
  4.004  OPBR
  4.004  OPBR         (Once deleted, the table data CANNOT be recovered.)

  4.005  IF           MEM1
  4.006  IEEE         [@EPM]MEM:CLE:TABL
  4.007  ENDIF

  4.008  ELSE

  4.009  IEEE         [@EPM]MEM:CLE:TABL
  4.010  ENDIF

  4.011  HEAD         -2
  4.012  END

  4.013  EVAL   Increment step number

# =====  Sub EPM-series Rename Cal Factors IEEE  ===========================

  5.001  LABEL        RENAME_CAL_FACTORS

  5.002  HEAD         -2 Rename Cal Factor Table: "[V Table]"
  5.003  OPBR         -z You have chosen to rename the "[V Table]" cal
  5.003  OPBR         factor table.
  5.003  OPBR
  5.003  OPBR         Do you wish to continue?
  5.003  OPBR
  5.003  OPBR         (Existing table data remains intact.)

  5.004  IF           NOT(MEM1)
  5.005  HEAD         -2
  5.006  MATH         @Abort = 1
  5.007  END
  5.008  ENDIF

# Define legal character set for cal factor table names.
  5.009  MATH         CharSet = "A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V"
  5.010  MATH         CharSet = CharSet & "W,X,Y,Z,a,b,c,d,e,f,g,h,i,j,k,l,m,"
  5.011  MATH         CharSet = CharSet & "n,o,p,q,r,s,t,u,v,w,x,y,z,0,1,2,3,"
  5.012  MATH         CharSet = CharSet & "4,5,6,7,8,9,_"

  5.013  DO
  5.014  MEM2         Enter the new cal factor table name using the following
  5.014  MEM2         valid characters (12 characters, maximum):
  5.014  MEM2
  5.014  MEM2         [32] - A to Z (UPPER case) alpha
  5.014  MEM2         [32] - a to z (lower case) alpha
  5.014  MEM2         [32] - 0 - 9 (numeric)
  5.014  MEM2         [32] - Underscore ("_")

  5.015  MATH         TableName = ""; Valid = "1"

# Skip duplicate or invalid character checks if name not specified.
  5.016  IF           NOT(EMPTY(MEM2))
  5.017  MATH         Valid = "1"
  5.018  MATH         Count = FIND(@Catalog, MEM2, 0)

  5.019  WHILE        Count > 0 && NOT(EMPTY(MEM2))
  5.020  MATH         Index = FIND(@Catalog, MEM2, Count)
  5.021  MATH         TableName = FLD(SUB(@Catalog, Index, 12), 1, ",")
  5.022  MATH         Count = Count - 1
  5.023  ENDW

  5.024  MATH         Counter = 1; Length = LEN(MEM2)

  5.025  DO
  5.026  MATH         Entry = SUB(MEM2, Counter, 1)
  5.027  MATH         Valid = FIND(CharSet, Entry, 0)
  5.028  MATH         Counter = Counter + 1
  5.029  UNTIL        NOT(Valid) || (Counter > Length)

  5.030  ENDIF

  5.031  IF           LEN(MEM2) > 12
  5.032  DISP         The cal factor table name, "[MEM2]", exceeds
  5.032  DISP         the maximum allowable length of 12 characters.
  5.032  DISP
  5.032  DISP         Select "Advance" to re-enter a valid name.
  5.033  MATH         OK = 0
  5.034  ELSEIF       EMPTY(MEM2)
  5.035  DISP         The cal factor table name is empty!
  5.035  DISP
  5.035  DISP         Select "Advance" to re-enter a valid name.
  5.036  MATH         OK = 0
  5.037  ELSEIF       NOT(Valid)
  5.038  DISP         The cal factor table name, "[MEM2]", contains
  5.038  DISP         an illegal character(s).
  5.038  DISP
  5.038  DISP         Select "Advance" to re-enter a valid name.
  5.039  MATH         OK = 0
  5.040  ELSEIF       ZCMP(MEM2, TableName)
  5.041  DISP         The cal factor table name, "[MEM2]", already
  5.041  DISP         exists.
  5.041  DISP
  5.041  DISP         Select "Advance" to re-enter a valid name.
  5.042  MATH         OK = 0
  5.043  ELSE
  5.044  OPBR         -z A cal factor table name of "[MEM2]" was entered.
  5.044  OPBR
  5.044  OPBR         Is this correct?
  5.045  MATH         OK = 1
  5.046  ENDIF

  5.047  UNTIL        MEM1 && OK

  5.048  IEEE         [@EPM]MEM:TABL:MOVE "[V Table]", "[MEM2]"
  5.049  MATH         @EPMCalFactorTable = MEM2

  5.050  HEAD         -2
  5.051  END
