﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Freq Resp (Opt 110) VER /4418,8485,SWPG
DATE:                  2012-01-23
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       123
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8485D on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA series <= 26.5 GHz bandwidth
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub HP 8485D Zero and Cal /4418
#        Sub Apply /SWPG
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub Level Signal /4418,8485,SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#        Sub PSA µW Frequency Response Tests /4418,8485,SWPG
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#
#  Required Files:
#        psa_freqresp_110_8485d_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 26.5 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -45 to -35 dBm
#            Accuracy: ±2 dB
#
#  Additional Equipment Required:
#        Splitter,Power, 50 Ohms, 10 MHz to 18 (26.5) GHz, Type N (3.5 mm),
#          Agilent 11667A (11667B) or equivalent
#        Adapter, Type N (m) - 3.5 (m), 50 Ohms, DC to 26.5 GHz, VSWR: 1.08;
#          Agilent 1250-1743 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  M4418  F64   8485D
  1.004  ENDIF

  1.005  CALL         Sub HP 8485D Zero and Cal /4418

  1.006  RSLT         =
  1.007  HEAD         {FREQUENCY RESPONSE (OPTION 110)}
  1.008  RSLT         = -40 dBm input level, Preamp On
  1.009  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.010  TARGET       -p
  1.011  HEAD         -2 Test Connections
  1.012  PIC          psa_freqresp_110_8485d_swpg.jpg

  1.013  DISP         Ensure the UUT 10 MHz REF OUT (rear) is connected to
  1.013  DISP         the [V @SWPG_DevName] [V @SWPG_RefIn].

  1.014  HEAD         -2 Setting 50 MHz reference level...
  1.015  SCPI         SYST:PRES
  1.016  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
  1.017  MATH         @SWPG_Freq = "50MHz"; @SWPG_Ampl = "-34dBm"
  1.018  MATH         @SWPG_ROSC = "Ext"
  1.019  CALL         Sub Apply /SWPG
  1.020  SCPI         FREQ:CENT 50E+6;SPAN 50E+3;:BWID:RES 30E+3;:INP:COUP DC
  1.021  SCPI         POW:GAIN ON;:POW:RF:ATT 0;:DISP:WIND:TRAC:Y:RLEV -35
  1.022  SCPI         DISP:WIND:TRAC:Y:PDIV 1;:SWE:TIME:AUTO:RUL ACC
  1.023  SCPI         INIT:CONT OFF
  1.024  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.025  MATH         @TestName = "Preamp Freq Response"
  1.026  MATH         @CenterFreq = 50E+6; @RefLvl = -40; @TestLvl = -34
  1.027  MATH         @LoLimit = @RefLvl - 0.05; @HiLimit = @RefLvl + 0.05
  1.028  MATH         @Error = 0
  1.029  CALL         Sub Level Signal /4418,8485,SWPG

  1.030  IF           @Error
  1.031  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @RefPower = MEM
  2.005  MATH         @DevName1       = "Agilent E4418B"
  2.006  MATH         @SensorAccMode  = "Watts 8485D F64"
  2.007  MATH         @SensorSWR_Mode = "SWR 8485D"
  2.008  MATH         @DevName2       = "Agilent 11667A"
  2.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  2.010  MATH         @SpltrTrackMode = "Tracking"
  2.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  2.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
  2.013  MATH         @RefUncPct = @LevelUncPct
  2.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  2.015  SCPI         CALC:MARK:MODE DELTA

  2.016  MATH         @PreampOn = 1; @RefLvl  = 0
  2.017  MATH         @LoLimit = -0.05; @HiLimit = 0.05
  2.018  CALL         Sub PSA µW Frequency Response Tests /4418,8485,SWPG

  2.019  HEAD         -2
  2.020  CALL         Sub Initialize /SWPG
  2.021  CALL         Sub Reset /SWPG
  2.022  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF
  2.023  HEAD
  2.024  SCPI         SYST:PRES
  2.025  END
