﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Third Order VER /4418,8485,SWPG,UWSG
DATE:                  2012-02-15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       8
NUMBER OF LINES:       229
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         Sweep Generator
CONFIGURATION:         µW Signal Generator
STANDARD:              Agilent 11667A
STANDARD:              Agilent 86205A
STANDARD:              Agilent 11667B
STANDARD:              Agilent 87300B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA series <= 26.5 GHz
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.36) or later
#
#  Subprocedures:
#        Sub Output Off /SWPG
#        Sub Output Off /UWSG
#        Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
#        Sub PSA Third Order Intermodulation Test
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub Initialize /UWSG
#        Sub Reset /UWSG
#
#  Required Files:
#        psa_toi_meas_1a_swpg_uwsg.jpg
#        psa_toi_meas_2a_swpg_uwsg.jpg
#        psa_toi_meas_3a_swpg_uwsg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 18 GHz, 6 dB insertion loss, output
#          tracking: <0.15 dB, equivalent output SWR: <1.20, Agilent® 11667A
#        Power Splitter, 1 kHz to 26.5 GHz, 6 dB insertion loss, output
#          tracking: <0.25 dB, equivalent output SWR: <1.22, Agilent 11667B
#        Directional Coupler, 2 GHz to 15 GHz, Directivity: >16 dB, Max VSWR:
#          1.35:1, Transmission Arm Loss: <1.5 dB, Coupled Arm Loss: ~10 dB,
#          Agilent 87300B
#        Directional Bridge, 5 MHz to 3 GHz, Directivity: >40 dB, Coupling
#          Factor: 16 dB, Insertion Loss: 2 dB max, Agilent 86205A
#        Filter, Low Pass, 50 MHz, Rejection at >65 MHz: > 40 dB, Rejection at
#          >75 MHz: > 60 dB, 2 ea.; Agilent 0955-0306 or equivalent
#        Filter, Low Pass, 1.8 GHz, Rejection 2.1 to 6 GHz: > 45 dB, Agilent
#          0955-0491 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M4418  F64   8485A
  1.003  IEEE         [@SWPG]
  1.003  IEEE         [@UWSG]
  1.004  ENDIF

  1.005  CALL         Sub Output Off /SWPG
  1.006  CALL         Sub Output Off /UWSG

  1.007  RSLT         =
  1.008  HEAD         {THIRD ORDER INTERMODULATION DISTORTION}
  1.009  STD          Agilent 11667A
  1.010  STD          Agilent 86205A
  1.011  TARGET       -p
  1.012  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.013  PIC          psa_toi_meas_1a_swpg_uwsg.jpg
  1.014  MATH         @Connection = "psa_toi_meas_1a_swpg_uwsg"

  1.015  DISP         Ensure the UUT 10 MHz REF OUT (rear) is connected to
  1.015  DISP         the [V @SWPG_DevName] [V @SWPG_RefIn] and the
  1.015  DISP         [V @SWPG_RefOut] is connected to the [V @UWSG_DevName].

  1.016  HEAD         -2 49.91 MHz Third Order Intercept
  1.017  TSET         TDESC = 49.91 MHz
  1.018  SCPI         SYST:PRES
  1.019  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
  1.020  SCPI         FREQ:CENT 50.01E+6;SPAN 10E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.021  SCPI         POW:ATT 10;:BWID:RES 510;VID 510;:SWE:TIME:AUTO:RUL ACC
  1.022  SCPI         AVER:COUN 20;STAT OFF;:ADC:DITH ON;:INIT:CONT OFF
  1.023  MATH         @SWPG_Freq      = "50.01 MHz"; @SWPG_Ampl = "-2 dBm"
  1.024  MATH         @SWPG_ROSC      = "Ext"
  1.025  MATH         @UWSG_Freq      = "49.91 MHz"; @UWSG_Ampl = "-2 dBm"
  1.026  MATH         @UWSG_ROSC      = "Ext"
# Compute normalized UUT Display Linearity (%) based on expected reading.
  1.027  MATH         @UUT_SpecPct    = (DBTOPCTW_D(0.129)) / 3
  1.028  MATH         @UUT_SWR        = 1.07
  1.029  MATH         @DevName1       = "Agilent E4418B"
  1.030  MATH         @SensorAccMode  = "Watts 100mW F64"
  1.031  MATH         @SensorSWR_Mode = "SWR 8485A"
  1.032  MATH         @DevName2       = "Agilent 11667A"
  1.033  MATH         @SpltrSWR_Mode  = "Output SWR"
  1.034  MATH         @SpltrTrackMode = "Tracking"
  1.035  MATH         @TestName       = "TOI"
  1.036  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  1.037  MATH         @2ndTOI_Freq    = @UWSG_Freq
  1.038  TARGET       -m
  1.039  CALL         Sub PSA Third Order Intermodulation Test
  1.040  ACC          dBm            M1U
  1.041  MEMCX        14.000dBm      -0U +26U

  2.001  CALL         Sub Output Off /SWPG
  2.002  CALL         Sub Output Off /UWSG

  2.003  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  2.004  HEAD         -2 1750.21 MHz Third Order Intercept
  2.005  PIC          psa_toi_meas_2a_swpg_uwsg.jpg
  2.006  MATH         @Connection = "psa_toi_meas_2a_swpg_uwsg"
  2.007  TSET         TDESC = 1750.21 MHz
  2.008  SCPI         FREQ:CENT 1750.31E+6
  2.009  MATH         @SWPG_Freq   = "1750.31 MHz"
  2.010  MATH         @UWSG_Freq   = "1750.21 MHz"
  2.011  MATH         @UUT_SWR     = 1.2
  2.012  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  2.013  MATH         @2ndTOI_Freq = @UWSG_Freq
  2.014  TARGET       -m
  2.015  CALL         Sub PSA Third Order Intermodulation Test
  2.016  ACC          dBm            M1U
  2.017  MEMCX        17.000dBm      -0U +23U

  3.001  CALL         Sub Output Off /SWPG
  3.002  CALL         Sub Output Off /UWSG

  3.003  HEAD         -2 2800.21 MHz Third Order Intercept
  3.004  STD          Agilent 11667B
  3.005  STD          Agilent 87300B
  3.006  TSET         TDESC = 2800.21 MHz
  3.007  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  3.008  PIC          psa_toi_meas_3a_swpg_uwsg.jpg

  3.009  IF           @E4445A
  3.010  MATH         Time = "3"
  3.011  ELSE
  3.012  MATH         Time = "4½"
  3.013  ENDIF

  3.014  DISP         The next routine operator intervention
  3.014  DISP         occurs in approximately [V Time] minutes...

  3.015  MATH         @Connection = "psa_toi_meas_3a_swpg_uwsg"
  3.016  SCPI         FREQ:CENT 2800.31E+6
  3.017  MATH         @UWSG_Freq = "2800.21 MHz"; @UWSG_Ampl = "+8 dBm"
  3.018  MATH         @SWPG_Freq = "2800.31 MHz"; @SWPG_Ampl = "+8 dBm"
  3.019  MATH         @DevName2  = "Agilent 11667B"
  3.020  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  3.021  MATH         @2ndTOI_Freq = @UWSG_Freq
  3.022  TARGET       -m
  3.023  CALL         Sub PSA Third Order Intermodulation Test
  3.024  ACC          dBm            M1U
  3.025  MEMCX        17.000dBm      -0U +23U

  4.001  HEAD         -2 5000.21 MHz Third Order Intercept
  4.002  TSET         TDESC = 5000.21 MHz
  4.003  SCPI         FREQ:CENT 5000.31E+6
  4.004  MATH         @SWPG_Freq = "5000.31 MHz"
  4.005  MATH         @UWSG_Freq = "5000.21 MHz"
  4.006  MATH         @UUT_SWR   = 1.6
  4.007  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  4.008  MATH         @2ndTOI_Freq = @UWSG_Freq
  4.009  TARGET       -m
  4.010  CALL         Sub PSA Third Order Intermodulation Test
  4.011  ACC          dBm            0.301U
  4.012  MEMCX        15.000dBm      -0U +25U

  5.001  IF           @E4440A || @E4445A
  5.002  HEAD         -2 7000.21 MHz Third Order Intercept
  5.003  TSET         TDESC = 7000.21 MHz
  5.004  SCPI         FREQ:CENT 7000.31E+6
  5.005  MATH         @SWPG_Freq = "7000.31 MHz"
  5.006  MATH         @UWSG_Freq = "7000.21 MHz"
  5.007  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  5.008  MATH         @2ndTOI_Freq = @UWSG_Freq
  5.009  TARGET       -m
  5.010  CALL         Sub PSA Third Order Intermodulation Test
  5.011  ACC          dBm            M1U
  5.012  MEMCX        8.000dBm       -0U +32U

  6.001  HEAD         -2 13000.21 MHz Third Order Intercept
  6.002  TSET         TDESC = 13000.21 MHz
  6.003  SCPI         FREQ:CENT 13000.31E+6
  6.004  MATH         @SWPG_Freq = "13000.31 MHz"
  6.005  MATH         @UWSG_Freq = "13000.21 MHz"
  6.006  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  6.007  MATH         @2ndTOI_Freq = @UWSG_Freq
  6.008  TARGET       -m
  6.009  CALL         Sub PSA Third Order Intermodulation Test
  6.010  ACC          dBm            M1U
  6.011  MEMCX        8.000dBm       -0U +32U

  7.001  IF           @E4440A
  7.002  HEAD         -2 19500.21 MHz Third Order Intercept
  7.003  TSET         TDESC = 19500.21 MHz
  7.004  SCPI         FREQ:CENT 19500.31E+6
  7.005  MATH         @SWPG_Freq = "19500.31 MHz"
  7.006  MATH         @UWSG_Freq = "19500.21 MHz"
  7.007  MATH         @UUT_SWR   = 1.9
  7.008  CALL         Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
  7.009  MATH         @2ndTOI_Freq = @UWSG_Freq
  7.010  TARGET       -m
  7.011  CALL         Sub PSA Third Order Intermodulation Test
  7.012  ACC          dBm            M1U
  7.013  MEMCX        12.000dBm      -0U +28U
  8.001  ENDIF        ; @E4440A

  8.002  ENDIF        ; @E4440A || @E4445A

  8.003  HEAD         -2
  8.004  CALL         Sub Initialize /SWPG
  8.005  CALL         Sub Reset /SWPG
  8.006  CALL         Sub Initialize /UWSG
  8.007  CALL         Sub Reset /UWSG
  8.008  HEAD
  8.009  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF;:SYST:PRES
  8.010  END
