﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Spurious Responses VER /4418,8485,SWPG
INSTRUMENT:            Sub PSA (2 yr) Freq Response VER /4418,8485,SWPG
INSTRUMENT:            Sub PSA (2 yr) 2nd Harmonic Dist VER /4418,8485,SWPG
DATE:                  2012-02-09
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       41
NUMBER OF LINES:       910
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA series <= 26.5 GHz bandwidth
#
#  Compatibility:
#        MET/CAL 7.3.19 or later
#
#  Subprocedures:
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub PSA Get Questionable Calibration Status
#        Sub PSA Internal Alignment
#        Sub Level Signal /4418,8485,SWPG
#        Sub PSA Set Spur Response Test Level /4418,8485,SWPG
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub Agilent ESA/PSA Take Sweep Only
#        Sub Initialize /SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#        Sub HP 8485A Zero and Cal /4418
#        Sub PSA µW Frequency Response Tests /4418,8485,SWPG
#        Sub PSA Set Ref Level (Log) /SWPG
#
#  Required Files:
#        psa_freq_resp_a_11667b_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 26.5 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -10 to +6 dBm
#            Accuracy  :   ±2 dB
#            Resolution: 0.01 dB
#
#  Additional Equipment Required:
#        Splitter,Power, 50 Ohms, 10 MHz to 26.5 GHz, Type N (3.5 mm),
#          Agilent 11667B or equivalent
#        Adapter, Type N (m) - 3.5 (m), 50 Ohms, DC to 26.5 GHz, VSWR: 1.08;
#          Agilent 1250-1743 or equivalent
#
#  Uncertainty Analysis:
#
#   2nd Harmonic Distortion:
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#      - Level accuracy at fundamental frequency (including mismatch)
#      - Level accuracy at 2nd Harmonic frequency (including mismatch)
#      - 11667B to UUT mismatch uncertainty at 2nd Harmonic frequency
#      - UUT Display Scale Fidelity specification
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  M4418  F64   8485A
  1.004  ENDIF

  1.005  CALL         Sub Reset /SWPG
  1.006  MATH         @Error = 0
  1.007  CALL         Sub PSA Get Questionable Calibration Status

  1.008  IF           @AlignAllReq
  1.009  CALL         Sub PSA Internal Alignment
  1.010  ENDIF

  1.011  JMPL         SPURIOUS                     PSUBI("Spurious")
  1.012  JMPL         FREQ_RESPONSE                PSUBI("Freq Response")
  1.013  JMPL         2nd_HARMONIC                 PSUBI("Harmonic")
  1.014  DISP         Called {Subprocedure Not Found}!
  1.015  END

  1.016  EVAL   Increment Test Number

# ===== Sub PSA (1 yr) Spurious Response VER /4418,8485,SWPG  ==============

  2.001  LABEL        SPURIOUS

# It is assumed that the Sweep Generator (SWPG) is already properly connected
# to the UUT RF INPUT following the frequency response test...

  2.002  RSLT         =
  2.003  HEAD         {SPURIOUS RESPONSES}
  2.004  RSLT         = (Spur / Source Frequency)
  2.005  RSLT         =
  2.006  RSLT         =Span: 100 Hz
  2.007  TARGET       -p

  2.008  LABEL        1_GHz:2960.7_MHz:START
  2.009  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  2.010  MATH         @SWPG_Freq = "1 GHz"; @SWPG_Ampl = "-14dBm"
  2.011  MATH         @SWPG_ROSC = "Ext"
  2.012  CALL         Sub Apply /SWPG
  2.013  SCPI         SYST:PRES
  2.014  SCPI         FREQ:CENT 1E+9;SPAN 100;:DISP:WIND:TRAC:Y:RLEV -20
  2.015  SCPI         POW:RF:ATT 20;:DET:AUTO ON;:BWID:RES 30;:AVER:COUN 5
  2.016  SCPI         SWE:TIME:AUTO:RUL ACC;:SWE:TYPE:AUTO:RUL DRAN
  2.017  SCPI         ROSC:OUTP ON;:INIT:CONT OFF;:AVER:STAT ON

  2.018  HEAD         -2 Setting UUT 1 GHz, -20 dBm reference level...
  2.019  MATH         @CenterFreq = 1E+9; @RefLvl = -20; @TestLvl = -14
  2.020  MATH         @LoLimit = -20.02; @HiLimit = -19.98
  2.021  MATH         @TestName = "Input Spurs (100 Hz)"
  2.022  CALL         Sub Level Signal /4418,8485,SWPG

  2.023  IF           @Error
  2.024  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  MATH         @RefPower = MEM
  3.005  MATH         @DevName1       = "Agilent E4418B"
  3.006  MATH         @SensorAccMode  = "Watts 100mW F64"
  3.007  MATH         @SensorSWR_Mode = "SWR 8485A"
  3.008  MATH         @DevName2       = "Agilent 11667B"
  3.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  3.010  MATH         @SpltrTrackMode = "Tracking"
  3.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
  3.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
  3.013  MATH         @RefUncPct = @LevelUncPct
  3.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  3.015  SCPI         CALC:MARK:MODE DELTA

# Set target to facilitate restarting test on Repeat or Cancel.
  3.016  JMPL         1_GHz:2960.7_MHz:CONTINUE
  3.017  TARGET       -p
  3.018  JMPL         1_GHz:2960.7_MHz:START

  3.019  LABEL        1_GHz:2960.7_MHz:CONTINUE
  3.020  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  3.021  TSET         TDESC = 1 GHz / 2.9607 GHz
  3.022  MATH         @SWPG_Freq = "2.9607 GHz"
  3.023  CALL         Sub Apply /SWPG
  3.024  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
  3.025  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  3.026  TARGET       -m
  3.027  CALL         Sub Agilent ESA/PSA Take Sweep Only
  3.028  SCPI         CALC:MARK:Y?[I]
  3.029  ACC          dBc            M1U
  3.030  MEMCX        -80.00dBc      -40.00U

  4.001  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1160.7 MHz
  4.002  TSET         TDESC = 1 GHz / 1.1607 GHz
  4.003  MATH         @SWPG_Freq = "1.1607 GHz"
  4.004  CALL         Sub Apply /SWPG
  4.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
  4.006  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1160.7 MHz
  4.007  TARGET       -m
  4.008  CALL         Sub Agilent ESA/PSA Take Sweep Only
  4.009  SCPI         CALC:MARK:Y?[I]
  4.010  ACC          dBc            L1U
  4.011  MEMCX        -80.00dBc      -40.00U

  5.001  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1010.7 MHz
  5.002  TSET         TDESC = 1 GHz / 1.0107 GHz
  5.003  MATH         @SWPG_Freq = "1.0107 GHz"
  5.004  CALL         Sub Apply /SWPG
  5.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
  5.006  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1010.7 MHz
  5.007  TARGET       -m
  5.008  CALL         Sub Agilent ESA/PSA Take Sweep Only
  5.009  SCPI         CALC:MARK:Y?[I]
  5.010  ACC          dBc            M1U
  5.011  MEMCX        -80.00dBc      -40.00U

  6.001  LABEL        5_GHz:5160.7_MHz:START
  6.002  MATH         @SWPG_Freq = "5 GHz"; @SWPG_Ampl = "-14dBm"
  6.003  CALL         Sub Apply /SWPG
  6.004  SCPI         FREQ:CENT 5E+9;:DISP:WIND:TRAC:Y:RLEV -20
  6.005  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
  6.006  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

  6.007  HEAD         -2 Setting UUT 5 GHz, -20 dBm reference level...
  6.008  MATH         @CenterFreq = 5E+9; @RefLvl = -20; @TestLvl = -14
  6.009  MATH         @LoLimit = -20.02; @HiLimit = -19.98
  6.010  CALL         Sub Level Signal /4418,8485,SWPG

  6.011  IF           @Error
  6.012  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.6
  7.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  7.006  MATH         @RefUncPct = @LevelUncPct
  7.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  7.008  SCPI         CALC:MARK:MODE DELTA

  7.009  JMPL         5_GHz:5160.7_MHz:CONTINUE
  7.010  TARGET       -p
  7.011  JMPL         5_GHz:5160.7_MHz:START

  7.012  LABEL        5_GHz:5160.7_MHz:CONTINUE
  7.013  HEAD         -2 5 GHz Spurious Response (100 Hz Span): 5160.7 MHz
  7.014  TSET         TDESC = 5 GHz / 5.1607 GHz
  7.015  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  7.016  MATH         @SWPG_Freq = "5.1607 GHz"
  7.017  CALL         Sub Apply /SWPG
  7.018  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
  7.019  HEAD         -2 5 GHz Spurious Response (100 Hz Span): 5160.7 MHz
  7.020  TARGET       -m
  7.021  CALL         Sub Agilent ESA/PSA Take Sweep Only
  7.022  SCPI         CALC:MARK:Y?[I]
  7.023  ACC          dBc            M1U
  7.024  MEMCX        -80.00dBc      -40.00U

  8.001  IF           @E4440A

  8.002  LABEL        25_GHz:25160.7_MHz:START
  8.003  HEAD         -2 25 GHz Spurious Response (100 Hz Span): 25160.7 MHz
  8.004  MATH         @SWPG_Freq = "25 GHz"; @SWPG_Ampl = "-14dBm"
  8.005  CALL         Sub Apply /SWPG
  8.006  SCPI         FREQ:CENT 25E+9;:DISP:WIND:TRAC:Y:RLEV -20
  8.007  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
  8.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

  8.009  HEAD         -2 Setting UUT 25 GHz, -20 dBm reference level...
  8.010  MATH         @CenterFreq = 25E+9; @RefLvl = -20; @TestLvl = -14
  8.011  MATH         @LoLimit = -20.02; @HiLimit = -19.98
  8.012  CALL         Sub Level Signal /4418,8485,SWPG

  8.013  IF           @Error
  8.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.9
  9.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  9.006  MATH         @RefUncPct = @LevelUncPct
  9.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  9.008  SCPI         CALC:MARK:MODE DELTA

  9.009  JMPL         25_GHz:25160.7_MHz:CONTINUE
  9.010  TARGET       -p
  9.011  JMPL         25_GHz:25160.7_MHz:START

  9.012  LABEL        25_GHz:25160.7_MHz:CONTINUE
  9.013  HEAD         -2 25 GHz Spurious Response (100 Hz Span): 25160.7 MHz
  9.014  TSET         TDESC = 25 GHz / 25.1607 GHz
  9.015  MATH         @SWPG_Freq = "25.1607 GHz"
  9.016  CALL         Sub Apply /SWPG
  9.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
  9.018  HEAD         -2 25 GHz Spurious Response (100 Hz Span): 25160.7 MHz
  9.019  TARGET       -m
  9.020  CALL         Sub Agilent ESA/PSA Take Sweep Only
  9.021  SCPI         CALC:MARK:Y?[I]
  9.022  ACC          dBc            M1U
  9.023  MEMCX        -67.96dBc      -52.04U
 10.001  ENDIF

 10.002  RSLT         =
 10.003  RSLT         =Span: 20 kHz
 10.004  TARGET       -p

 10.005  LABEL        1_GHz:985.0_MHz:START
 10.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
 10.007  MATH         @SWPG_Freq = "1 GHz"; @SWPG_Ampl = "-4dBm"
 10.008  CALL         Sub Apply /SWPG
 10.009  SCPI         SYST:PRES
 10.010  SCPI         FREQ:CENT 1E+9;SPAN 20E+3;:DISP:WIND:TRAC:Y:RLEV -10
 10.011  SCPI         POW:RF:ATT 0;:DET:AUTO ON;:BWID:RES 1E+3;:AVER:COUN 5
 10.012  SCPI         SWE:TIME:AUTO:RUL ACC;:SWE:TYPE:AUTO:RUL DRAN
 10.013  SCPI         ROSC:OUTP ON;:INIT:CONT OFF;:AVER:STAT ON
 10.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 10.015  HEAD         -2 Setting UUT 1 GHz, -10 dBm reference level...
 10.016  MATH         @CenterFreq = 1E+9; @RefLvl = -10; @TestLvl = -10
 10.017  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 10.018  MATH         @TestName = "Input Spurs (20 kHz)"
 10.019  CALL         Sub Level Signal /4418,8485,SWPG

 10.020  IF           @Error
 10.021  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 11.001  MATH         @Error = 0
 11.002  END
 11.003  ENDIF

 11.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
 11.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 11.006  MATH         @RefUncPct = @LevelUncPct
 11.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 11.008  SCPI         CALC:MARK:MODE DELTA

 11.009  JMPL         1_GHz:985.0_MHz:CONTINUE
 11.010  TARGET       -p
 11.011  JMPL         1_GHz:985.0_MHz:START

 11.012  LABEL        1_GHz:985.0_MHz:CONTINUE
 11.013  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
 11.014  TSET         TDESC = 1 GHz / 985.0 MHz
 11.015  MATH         @SWPG_Freq = "985 MHz"
 11.016  CALL         Sub Apply /SWPG
 11.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 11.018  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
 11.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 11.020  TARGET       -m
 11.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 11.022  SCPI         CALC:MARK:Y?[I]
 11.023  ACC          dBc            M1U
 11.024  MEMCX        -80.00dBc      -50.00U

 12.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1042.8 MHz
 12.002  TSET         TDESC = 1 GHz / 1.0428 GHz
 12.003  MATH         @SWPG_Freq = "1.0428 GHz"
 12.004  CALL         Sub Apply /SWPG
 12.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 12.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1042.8 MHz
 12.007  TARGET       -m
 12.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 12.009  SCPI         CALC:MARK:Y?[I]
 12.010  ACC          dBc            M1U
 12.011  MEMCX        -80.00dBc      -50.00U

 13.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1642.8 MHz
 13.002  TSET         TDESC = 1 GHz / 1.6428 GHz
 13.003  MATH         @SWPG_Freq = "1.6428 GHz"
 13.004  CALL         Sub Apply /SWPG
 13.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 13.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1642.8 MHz
 13.007  TARGET       -m
 13.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 13.009  SCPI         CALC:MARK:Y?[I]
 13.010  ACC          dBc            M1U
 13.011  MEMCX        -80.00dBc      -50.00U

 14.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 3921.4 MHz
 14.002  TSET         TDESC = 1 GHz / 3.9214 GHz
 14.003  MATH         @SWPG_Freq = "3.9214 GHz"
 14.004  CALL         Sub Apply /SWPG
 14.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 14.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 3921.4 MHz
 14.007  TARGET       -m
 14.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 14.009  SCPI         CALC:MARK:Y?[I]
 14.010  ACC          dBc            M1U
 14.011  MEMCX        -80.00dBc      -50.00U

 15.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 8842.8 MHz
 15.002  TSET         TDESC = 1 GHz / 8.8428 GHz
 15.003  MATH         @SWPG_Freq = "8.8428 GHz"
 15.004  CALL         Sub Apply /SWPG
 15.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 15.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 8842.8 MHz
 15.007  TARGET       -m
 15.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 15.009  SCPI         CALC:MARK:Y?[I]
 15.010  ACC          dBc            M1U
 15.011  MEMCX        -80.00dBc      -50.00U

 16.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 321.4 MHz
 16.002  TSET         TDESC = 1 GHz / 321.4 MHz
 16.003  MATH         @SWPG_Freq = "321.4 MHz"
 16.004  CALL         Sub Apply /SWPG
 16.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 16.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 321.4 MHz
 16.007  TARGET       -m
 16.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 16.009  SCPI         CALC:MARK:Y?[I]
 16.010  ACC          dBc            M1U
 16.011  MEMCX        -80.00dBc      -50.00U

 17.001  LABEL        5_GHz:5642.8_MHz:START
 17.002  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 17.003  MATH         @SWPG_Freq = "5 GHz"; @SWPG_Ampl = "-4dBm"
 17.004  CALL         Sub Apply /SWPG
 17.005  SCPI         FREQ:CENT 5E+9;:DISP:WIND:TRAC:Y:RLEV -10
 17.006  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 17.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 17.008  HEAD         -2 Setting UUT 5 GHz, -10 dBm reference level...
 17.009  MATH         @CenterFreq = 5E+9; @RefLvl = -10; @TestLvl = -10
 17.010  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 17.011  CALL         Sub Level Signal /4418,8485,SWPG

 17.012  IF           @Error
 17.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 18.001  MATH         @Error = 0
 18.002  END
 18.003  ENDIF

 18.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.6
 18.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 18.006  MATH         @RefUncPct = @LevelUncPct
 18.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 18.008  SCPI         CALC:MARK:MODE DELTA

 18.009  JMPL         5_GHz:5642.8_MHz:CONTINUE
 18.010  TARGET       -p
 18.011  JMPL         5_GHz:5642.8_MHz:START

 18.012  LABEL        5_GHz:5642.8_MHz:CONTINUE
 18.013  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 18.014  TSET         TDESC = 5 GHz / 5.6428 GHz
 18.015  MATH         @SWPG_Freq = "5.6428 GHz"
 18.016  CALL         Sub Apply /SWPG
 18.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 18.018  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 18.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 18.020  TARGET       -m
 18.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 18.022  SCPI         CALC:MARK:Y?[I]
 18.023  ACC          dBc            M1U
 18.024  MEMCX        -80.00dBc      -50.00U

 19.001  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 10321.4 MHz
 19.002  TSET         TDESC = 5 GHz / 10.3214 GHz
 19.003  MATH         @SWPG_Freq = "10.3214 GHz"
 19.004  CALL         Sub Apply /SWPG
 19.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 19.006  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 10321.4 MHz
 19.007  TARGET       -m
 19.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 19.009  SCPI         CALC:MARK:Y?[I]
 19.010  ACC          dBc            M1U
 19.011  MEMCX        -80.00dBc      -50.00U

 20.001  IF           @E4440A || @E4445A

 20.002  LABEL        10_GHz:10642.8_MHz:START
 20.003  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 20.004  MATH         @SWPG_Freq = "10 GHz"; @SWPG_Ampl = "-4dBm"
 20.005  CALL         Sub Apply /SWPG
 20.006  SCPI         FREQ:CENT 10E+9;:DISP:WIND:TRAC:Y:RLEV -10
 20.007  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 20.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 20.009  HEAD         -2 Setting UUT 10 GHz, -10 dBm reference level...
 20.010  MATH         @CenterFreq = 10E+9; @RefLvl = -10; @TestLvl = -10
 20.011  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 20.012  CALL         Sub Level Signal /4418,8485,SWPG

 20.013  IF           @Error
 20.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 21.001  MATH         @Error = 0
 21.002  END
 21.003  ENDIF

 21.004  MATH         @TestFreq = @CenterFreq
 21.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 21.006  MATH         @RefUncPct = @LevelUncPct
 21.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 21.008  SCPI         CALC:MARK:MODE DELTA

 21.009  JMPL         10_GHz:10642.8_MHz:CONTINUE
 21.010  TARGET       -p
 21.011  JMPL         10_GHz:10642.8_MHz:START

 21.012  LABEL        10_GHz:10642.8_MHz:CONTINUE
 21.013  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 21.014  TSET         TDESC = 10 GHz / 10.6428 GHz
 21.015  MATH         @SWPG_Freq = "10.6428 GHz"
 21.016  CALL         Sub Apply /SWPG
 21.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 21.018  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 21.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 21.020  TARGET       -m
 21.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 21.022  SCPI         CALC:MARK:Y?[I]
 21.023  ACC          dBc            M1U
 21.024  MEMCX        -80.00dBc      -50.00U

 22.001  IF           @E4440A

 22.002  LABEL        15_GHz:15042.8_MHz:START
 22.003  HEAD         -2 15 GHz Spurious Response (20 kHz Span): 15042.8 MHz
 22.004  MATH         @SWPG_Freq = "15 GHz"; @SWPG_Ampl = "-4dBm"
 22.005  CALL         Sub Apply /SWPG
 22.006  SCPI         FREQ:CENT 15E+9;:DISP:WIND:TRAC:Y:RLEV -10
 22.007  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 22.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 22.009  HEAD         -2 Setting UUT 15 GHz, -10 dBm reference level...
 22.010  MATH         @CenterFreq = 15E+9; @RefLvl = -10; @TestLvl = -10
 22.011  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 22.012  CALL         Sub Level Signal /4418,8485,SWPG

 22.013  IF           @Error
 22.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 23.001  MATH         @Error = 0
 23.002  END
 23.003  ENDIF

 23.004  MATH         @TestFreq = @CenterFreq
 23.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 23.006  MATH         @RefUncPct = @LevelUncPct
 23.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 23.008  SCPI         CALC:MARK:MODE DELTA

 23.009  JMPL         15_GHz:15042.8_MHz:CONTINUE
 23.010  TARGET       -p
 23.011  JMPL         15_GHz:15042.8_MHz:START

 23.012  LABEL        15_GHz:15042.8_MHz:CONTINUE
 23.013  HEAD         -2 15 GHz Spurious Response (20 kHz Span): 15042.8 MHz
 23.014  TSET         TDESC = 15 GHz / 15.0428 GHz
 23.015  MATH         @SWPG_Freq = "15.0428 GHz"
 23.016  CALL         Sub Apply /SWPG
 23.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 23.018  HEAD         -2 15 GHz Spurious Response (20 kHz Span): 15042.8 MHz
 23.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 23.020  TARGET       -m
 23.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 23.022  SCPI         CALC:MARK:Y?[I]
 23.023  ACC          dBc            M1U
 23.024  MEMCX        -80.00dBc      -50.00U

 24.001  HEAD         -2 15 GHz Spurious Response (20 kHz Span): 15642.8 MHz
 24.002  TSET         TDESC = 15 GHz / 15.6428 GHz
 24.003  MATH         @SWPG_Freq = "15.6428 GHz"
 24.004  CALL         Sub Apply /SWPG
 24.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 24.006  HEAD         -2 15 GHz Spurious Response (20 kHz Span): 15642.8 MHz
 24.007  TARGET       -m
 24.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 24.009  SCPI         CALC:MARK:Y?[I]
 24.010  ACC          dBc            M1U
 24.011  MEMCX        -80.00dBc      -50.00U

 25.001  LABEL        18_GHz:7339.3_MHz:START
 25.002  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 7339.3 MHz
 25.003  MATH         @SWPG_Freq = "18 GHz"; @SWPG_Ampl = "-4dBm"
 25.004  CALL         Sub Apply /SWPG
 25.005  SCPI         FREQ:CENT 18E+9;:DISP:WIND:TRAC:Y:RLEV -10
 25.006  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 25.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 25.008  HEAD         -2 Setting UUT 18 GHz, -10 dBm reference level...
 25.009  MATH         @CenterFreq = 18E+9; @RefLvl = -10; @TestLvl = -10
 25.010  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 25.011  CALL         Sub Level Signal /4418,8485,SWPG

 25.012  IF           @Error
 25.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 26.001  MATH         @Error = 0
 26.002  END
 26.003  ENDIF

 26.004  MATH         @TestFreq = @CenterFreq
 26.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 26.006  MATH         @RefUncPct = @LevelUncPct
 26.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 26.008  SCPI         CALC:MARK:MODE DELTA

 26.009  JMPL         18_GHz:7339.3_MHz:CONTINUE
 26.010  TARGET       -p
 26.011  JMPL         18_GHz:7339.3_MHz:START

 26.012  LABEL        18_GHz:7339.3_MHz:CONTINUE
 26.013  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 7339.3 MHz
 26.014  TSET         TDESC = 18 GHz / 7.3393 GHz
 26.015  MATH         @SWPG_Freq = "7.3393 GHz"
 26.016  CALL         Sub Apply /SWPG
 26.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 26.018  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 7339.3 MHz
 26.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 26.020  TARGET       -m
 26.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 26.022  SCPI         CALC:MARK:Y?[I]
 26.023  ACC          dBc            M1U
 26.024  MEMCX        -80.00dBc      -50.00U

 27.001  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 3508.95 MHz
 27.002  TSET         TDESC = 18 GHz / 3.50895 GHz
 27.003  MATH         @SWPG_Freq = "3.50895 GHz"
 27.004  CALL         Sub Apply /SWPG
 27.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 27.006  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 3508.95 MHz
 27.007  TARGET       -m
 27.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 27.009  SCPI         CALC:MARK:Y?[I]
 27.010  ACC          dBc            M1U
 27.011  MEMCX        -80.00dBc      -50.00U

 28.001  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 11169.65 MHz
 28.002  TSET         TDESC = 18 GHz / 11.16965 GHz
 28.003  MATH         @SWPG_Freq = "11.16965 GHz"
 28.004  CALL         Sub Apply /SWPG
 28.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 28.006  HEAD         -2 18 GHz Spurious Response (20 kHz Span): 11169.65 MHz
 28.007  TARGET       -m
 28.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 28.009  SCPI         CALC:MARK:Y?[I]
 28.010  ACC          dBc            M1U
 28.011  MEMCX        -80.00dBc      -50.00U

 29.001  LABEL        25_GHz:321.4_MHz:START
 29.002  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 321.4 MHz
 29.003  MATH         @SWPG_Freq = "25 GHz"; @SWPG_Ampl = "-4dBm"
 29.004  CALL         Sub Apply /SWPG
 29.005  SCPI         FREQ:CENT 25E+9;:DISP:WIND:TRAC:Y:RLEV -10
 29.006  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 29.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 29.008  HEAD         -2 Setting UUT 25 GHz, -10 dBm reference level...
 29.009  MATH         @CenterFreq = 25E+9; @RefLvl = -10; @TestLvl = -10
 29.010  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 29.011  CALL         Sub Level Signal /4418,8485,SWPG

 29.012  IF           @Error
 29.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 30.001  MATH         @Error = 0
 30.002  END
 30.003  ENDIF

 30.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.9
 30.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 30.006  MATH         @RefUncPct = @LevelUncPct
 30.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 30.008  SCPI         CALC:MARK:MODE DELTA

 30.009  JMPL         25_GHz:321.4_MHz:CONTINUE
 30.010  TARGET       -p
 30.011  JMPL         25_GHz:321.4_MHz:START

 30.012  LABEL        25_GHz:321.4_MHz:CONTINUE
 30.013  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 321.4 MHz
 30.014  TSET         TDESC = 25 GHz / 321.4 MHz
 30.015  MATH         @SWPG_Freq = "321.4 MHz"
 30.016  CALL         Sub Apply /SWPG
 30.017  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 30.018  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 321.4 MHz
 30.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 30.020  TARGET       -m
 30.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 30.022  SCPI         CALC:MARK:Y?[I]
 30.023  ACC          dBc            M1U
 30.024  MEMCX        -80.00dBc      -50.00U

 31.001  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 6.00895 MHz
 31.002  TSET         TDESC = 25 GHz / 6.00895 GHz
 31.003  MATH         @SWPG_Freq = "6.00895 GHz"
 31.004  CALL         Sub Apply /SWPG
 31.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 31.006  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 6.00895 MHz
 31.007  TARGET       -m
 31.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 31.009  SCPI         CALC:MARK:Y?[I]
 31.010  ACC          dBc            M1U
 31.011  MEMCX        -80.00dBc      -50.00U

 32.001  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 12339.3 MHz
 32.002  TSET         TDESC = 25 GHz / 12.3393 GHz
 32.003  MATH         @SWPG_Freq = "12.3393 GHz"
 32.004  CALL         Sub Apply /SWPG
 32.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 32.006  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 12339.3 MHz
 32.007  TARGET       -m
 32.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 32.009  SCPI         CALC:MARK:Y?[I]
 32.010  ACC          dBc            M1U
 32.011  MEMCX        -80.00dBc      -50.00U

 33.001  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 18669.65 MHz
 33.002  TSET         TDESC = 25 GHz / 18.66965 GHz
 33.003  MATH         @SWPG_Freq = "18.66965 GHz"
 33.004  CALL         Sub Apply /SWPG
 33.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 33.006  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 18669.65 MHz
 33.007  TARGET       -m
 33.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 33.009  SCPI         CALC:MARK:Y?[I]
 33.010  ACC          dBc            M1U
 33.011  MEMCX        -80.00dBc      -50.00U

 34.001  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 25642.8 MHz
 34.002  TSET         TDESC = 25 GHz / 25.6428 GHz
 34.003  MATH         @SWPG_Freq = "25.6428 GHz"
 34.004  CALL         Sub Apply /SWPG
 34.005  CALL         Sub PSA Set Spur Response Test Level /4418,8485,SWPG
 34.006  HEAD         -2 25 GHz Spurious Response (20 kHz Span): 25642.8 MHz
 34.007  TARGET       -m
 34.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 34.009  SCPI         CALC:MARK:Y?[I]
 34.010  ACC          dBc            M1U
 34.011  MEMCX        -80.00dBc      -50.00U
 35.001  ENDIF        ; @E4440A

 35.002  ENDIF        ; @E4440A || @E4445A

 35.003  HEAD         -2
 35.004  CALL         Sub Initialize /SWPG
 35.005  CALL         Sub Reset /SWPG
 35.006  4418         *                                                 S
 35.007  HEAD
 35.008  SCPI         ROSC:OUTP OFF;:SYST:PRES
 35.009  END

 35.010  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Freq Response VER /4418,8485,SWPG  =================

 36.001  LABEL        FREQ_RESPONSE
 36.002  CALL         Sub HP 8485A Zero and Cal /4418

 36.003  RSLT         =
 36.004  HEAD         {FREQUENCY RESPONSE ABOVE 3 GHz}
 36.005  RSLT         = -10 dBm input level
 36.006  TARGET       -p
 36.007  HEAD         -2 Initial Setup
 36.008  MATH         @Preamp = 0
 36.009  PIC          psa_freq_resp_a_11667b_swpg.jpg

 36.010  DISP         Ensure the UUT 10 MHz REF OUT (rear) is connected to
 36.010  DISP         the [V @SWPG_DevName] [V @SWPG_RefIn].

 36.011  DISP         The next routine operator intervention
 36.011  DISP         occurs in approximately 25 minutes...

 36.012  HEAD         -2 Setting 50 MHz reference level...
 36.013  SCPI         SYST:PRES
 36.014  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
 36.015  MATH         @SWPG_Freq = "50MHz"; @SWPG_Ampl = "-4dBm"
 36.016  MATH         @SWPG_ROSC = "Ext"
 36.017  CALL         Sub Apply /SWPG
 36.018  SCPI         FREQ:CENT 50E+6;SPAN 2E+3;:BWID:RES 3E+3;:INP:COUP DC

 36.019  IF           @Opt_1DS || @Opt_110
# Ensure preamp (if equipped) is turned off.
 36.020  SCPI         POW:GAIN OFF
 36.021  ENDIF

 36.022  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1;:POW:RF:ATT 10
 36.023  SCPI         SWE:TIME:AUTO:RUL ACC;:INIT:CONT OFF
 36.024  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 36.025  MATH         @CenterFreq = 50E+6; @RefLvl = -10; @TestLvl = -4
 36.026  MATH         @LoLimit = -10.05; @HiLimit = -9.95
 36.027  MATH         @TestName = "Frequency Response"
 36.028  CALL         Sub Level Signal /4418,8485,SWPG

 36.029  IF           @Error
 36.030  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 37.001  MATH         @Error = 0
 37.002  END
 37.003  ENDIF

 37.004  MATH         @RefPower = MEM
 37.005  MATH         @DevName1       = "Agilent E4418B"
 37.006  MATH         @SensorAccMode  = "Watts 100mW F64"
 37.007  MATH         @SensorSWR_Mode = "SWR 8485A"
 37.008  MATH         @DevName2       = "Agilent 11667B"
 37.009  MATH         @SpltrSWR_Mode  = "Output SWR"
 37.010  MATH         @SpltrTrackMode = "Tracking"
 37.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.07
 37.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
 37.013  MATH         @RefUncPct = @LevelUncPct
 37.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 37.015  SCPI         CALC:MARK:MODE DELTA
# Desired reference level set in relative dB due to use of UUT delta marker.
 37.016  MATH         @PreampOn = 0; @RefLvl  = 0; @TestLvl = -4
 37.017  MATH         @LoLimit = -0.02; @HiLimit = 0.02
 37.018  CALL         Sub PSA µW Frequency Response Tests /4418,8485,SWPG

 37.019  HEAD         -2
 37.020  CALL         Sub Initialize /SWPG
 37.021  CALL         Sub Reset /SWPG
 37.022  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF
 37.023  HEAD
 37.024  SCPI         SYST:PRES
 37.025  END

 37.026  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) 2nd Harmonic Dist VER /4418,8485,SWPG  =============

 38.001  LABEL        2nd_HARMONIC
 38.002  HEAD         SECOND HARMONIC DISTORTION (-11 dBm Mixer Level)

 38.003  LABEL        2nd_HARMONIC_START
 38.004  MATH         @CenterFreq = 3.1E+9
 38.005  HEAD         -2 Set UUT Fundamental reference level: 3100 MHz
 38.006  SCPI         SYST:PRES
 38.007  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
 38.008  SCPI         FREQ:CENT 3.1E+9;SPAN 10E+3;:DISP:WIND:TRAC:Y:RLEV 0
 38.009  SCPI         DISP:WIND:TRAC:Y:PDIV 15;:POW:RF:ATT 10;:BWID:RES 1E+3
 38.010  SCPI         ROSC:OUTP ON;:SWE:TIME:AUTO:RUL ACC;:INIT:CONT OFF
 38.011  MATH         @SWPG_Freq = "3.1 GHz"; @SWPG_Ampl = "6dBm"
 38.012  MATH         @SWPG_ROSC = "Ext"
 38.013  CALL         Sub Apply /SWPG
 38.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 38.015  SCPI         CALC:MARK:Y?[I]
 38.016  MATH         @CenterFreq = 3.1E+9; @RefLvl = -1; @TestLvl = 6
 38.017  MATH         @LoLimit = -1.02; @HiLimit = -0.98
 38.018  MATH         @TestName = "3100 MHz Harmonics"
 38.019  CALL         Sub Level Signal /4418,8485,SWPG

 38.020  IF           @Error
 38.021  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 39.001  MATH         @Error = 0
 39.002  END
 39.003  ENDIF

 39.004  JMPL         3.1_GHz_REFERENCE
 39.005  TARGET       -p
 39.006  JMPL         2nd_HARMONIC_START

 39.007  LABEL        3.1_GHz_REFERENCE
 39.008  MATH         @RefPower       = MEM; @FundLvl = @TestLvl
 39.009  MATH         @DevName1       = "Agilent E4418B"
 39.010  MATH         @SensorAccMode  = "Watts 100mW F64"
 39.011  MATH         @SensorSWR_Mode = "SWR 8485A"
 39.012  MATH         @DevName2       = "Agilent 11667B"
 39.013  MATH         @SpltrSWR_Mode  = "Output SWR"
 39.014  MATH         @SpltrTrackMode = "Tracking"
 39.015  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
 39.016  CALL         Sub Compute Power Splitter Leveling Uncertainty
 39.017  MATH         M[1] = @LevelUncPct
 39.018  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 39.019  SCPI         CALC:MARK:MODE DELTA

 39.020  HEAD         -2 Measure UUT frequency response: 6200 MHz
 39.021  MATH         @TestFreq = @CenterFreq * 2
# Tune the UUT to the frequency of the second harmonic.
 39.022  SCPI         FREQ:CENT [V @TestFreq]
 39.023  MATH         @SWPG_Freq = @TestFreq & "Hz"
 39.024  CALL         Sub Apply /SWPG
 39.025  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 39.026  SCPI         CALC:MARK:Y?[I]
# Adjust generator output for the same relative indication as fundamental.
 39.027  MATH         @TestName = "2nd Harmonic: " & @TestFreq & " MHz"
 39.028  MATH         @RefLvl = 0; @LoLimit = -0.02; @HiLimit = +0.02

 39.029  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
 39.030  CALL         Sub PSA Set Ref Level (Log) /SWPG
 39.031  ENDW

 39.032  IF           @Error
 39.033  EVAL   -e 0 : An error occurred during the [V @TestName].
 40.001  MATH         @Error = 0
 40.002  END
 40.003  ENDIF

# Compute the (UUT) frequency response error at the second harmonic.
 40.004  MATH         MEM = @TestFreq
 40.005  4418         -1.00D                       H                 RF N  CH1
 40.006  MATH         @FreqRespErr = MEM - @RefPower
 40.007  CALL         Sub Compute Power Splitter Leveling Uncertainty
 40.008  MATH         M[2]        = @LevelUncPct
# Retrieve Power Splitter (output port) SWR at test frequency.
 40.009  MATH         @SourceSWR  = ACCV(@DevName2, @SpltrSWR_Mode, @TestFreq)
 40.010  MATH         @LoadSWR    = @UUT_SWR
# Compute normalized mismatch uncertainty (Splitter to Sensor), Port 1.
 40.011  CALL         Sub Compute Mismatch Uncertainty (%)
 40.012  MATH         M[3]        = @MismatchUncPct
# UUT Display Scale Fidelity specification (normalized).
 40.013  MATH         M[4]        = DBTOPCTW_D(0.13) / 3
 40.014  MATH         TestUncLin  = RSS(1, 4) * 2
 40.015  MATH         @TestUncLog = PCTTODBW_D(TestUncLin)

 40.016  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
 40.017  DISP         INSERT (2) 4.4 GHz Low Pass Filters in SERIES between
 40.017  DISP         [V @SWPG_DevName] [V @SWPG_Output] and Power Splitter
 40.017  DISP         input port.
 40.017  DISP
 40.017  DISP         NOTE: Support the Power Sensor/Splitter/Low Pass Filter
 40.017  DISP         connections to avoid placing undue stress on the UUT
 40.017  DISP         RF INPUT 50 Ohms connector.

 40.018  JMPL         2nd_HARMONIC_TEST
 40.019  TARGET       -p
 40.020  DISP         REMOVE the (2) 4.4 GHz Low Pass Filters from the test
 40.020  DISP         setup, connecting the [V @SWPG_DevName] [V @SWPG_Output]
 40.020  DISP         DIRECTLY to the Power Splitter input port.
 40.021  JMPL         2nd_HARMONIC_START

 40.022  LABEL        2nd_HARMONIC_TEST
 40.023  HEAD         -2 Measure UUT 2nd Harmonic distortion: 6200 MHz
 40.024  TSET         TDESC = 3100 MHz
 40.025  MATH         @SWPG_Freq = "3.1 GHz"; @SWPG_Ampl = @FundLvl & "dBm"
 40.026  CALL         Sub Apply /SWPG
 40.027  SCPI         AVER:COUNT 10;STAT ON
 40.028  TARGET       -m
 40.029  CALL         Sub Agilent ESA/PSA Take Sweep Only
 40.030  SCPI         CALC:MARK:MAX
 40.031  SCPI         CALC:MARK:Y?[I]
 40.032  MATH         MEM = MEM + @FreqRespErr; L[1] = @TestUncLog
 40.033  ACC          dBc            L1U                                   +DW
 40.034  MEMCX        -95.0dBc       0.0U -55.0U

 41.001  HEAD         -2
 41.002  CALL         Sub Initialize /SWPG
 41.003  CALL         Sub Reset /SWPG
 41.004  HEAD
 41.005  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF;:SYST:PRES
 41.006  END
