﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Power Bandwidth Test
INSTRUMENT:            Sub PSA Displayed Average Noise Level Test
DATE:                  2014-12-17 12:49:11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 9838 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       103
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        PSA series: E4440A, E4443A, E4445A, E4446A, E4447A, E4448A
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         POWER_BANDWIDTH              PSUBI("Power")
  1.002  JMPL         DANL                         PSUBI("Average Noise")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number


# =====  Sub PSA Power Bandwidth Test  ======================================

  2.001  LABEL        POWER_BANDWIDTH

  2.002  JMPL         POWER_BANDWIDTH_CONTINUE
  2.003  EVAL   Display connection instructions on Repeat/Cancel.
  3.001  MATH         @Connected = ""
  3.002  CALL         Sub PSA Display Connection

  3.003  IF           @Abort
  3.004  END
  3.005  ENDIF

  3.006  LABEL        POWER_BANDWIDTH_CONTINUE
  3.007  HEAD         -2 Resolution Bandwidth: [V @RBW]
  3.008  MATH         RBW = BASE(@RBW); Span = RBW * 10
  3.009  TSET         TDESC = [V @RBW]
  3.010  SCPI         CALC:MARK:AOFF
  3.011  SCPI         FREQ:SPAN [V Span];:BAND:RES [V RBW]
  3.012  SCPI         SWE:TIME [V @SweepTime]
  3.013  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  3.014  MATH         RefLvl = MEM
  3.015  SCPI         CALC:MARK:MODE SPAN;FUNC BPOW;X:SPAN [V Span]
  3.016  ACC          0.000dB        0.0009U                               +DW
  3.017  TARGET       -m
  3.018  SCPI         INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  3.019  MATH         MEM = MEM - RefLvl
  3.020  MEMCX        0.000dB        TOL

  4.001  END


# =====  Sub PSA Displayed Average Noise Level Test  ========================

  4.002  LABEL        DANL

  4.003  JMPL         DANL_CONTINUE
  4.004  EVAL   Display connection instructions on Repeat/Cancel.
  5.001  MATH         @Connected = ""
  5.002  CALL         Sub PSA Display Connection
  5.003  LABEL        DANL_CONTINUE

  5.004  IF           @Abort
  5.005  END
  5.006  ENDIF

  5.007  HEAD         -2 [V @Head]: [V @Freq]
  5.008  MATH         TestFreq = BASE(@Freq)
  5.009  SCPI         FREQ:CENT [V TestFreq]
  5.010  TARGET       -m
  5.011  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
# Subtract 40 dB from measured value to normalize reading since:
# - Measurement is done at 1 kHz RBW but specified at 1 Hz RBW
# - Measurement is done with 10 dB input attenuation but specified at 0 dB
  5.012  MATH         MEM = MEM - 40
  5.013  ACC          dBm            M1U
  5.014  MATH         MEM1 = @Nominal
  5.015  TSET         CPT = [MEM1] dBm; TDESC = [V @Freq]
  5.016  MEMCX        dBm            TOL

  6.001  END
