﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Set Frequency Response (LF) Ref Level /9640
INSTRUMENT:            Sub PSA Set Input Attenuation Switching Ref Level /9640
DATE:                  2014-12-18 12:28:12
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       114
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM, CAD
#
# Model(s) Covered:
#        Agilent PSA
#
# Compatibility:
#        MET/CAL version 7.20x or later
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQUENCY_RESPONSE           PSUBI("Frequency Response")
  1.002  JMPL         INPUT_ATTENUATION            PSUBI("Switching")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number

# =====  Sub PSA Set Frequency Response (LF) Ref Level /9640  ===============

  2.001  LABEL        FREQUENCY_RESPONSE

  2.002  SCPI         SYST:PRES
  2.003  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  2.004  CALL         Sub PSA Display Connection

  2.005  IF           @Abort
  2.006  END
  2.007  ENDIF

  2.008  HEAD         -2 Setting 50 MHz reference level...
  2.009  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  2.009  9640         +Level = -10 dBm; Frequency = 50 MHz
# Compute normalized reference uncertainty in percent for later combination
# with test uncertainty.
  2.010  MATH         RefUnc = REFACC() / DBMTOW(MEM1) / CONF(@9640DevName)
  2.011  MATH         @RefUncPct = RefUnc * 100

  2.012  SCPI         FREQ:CENT 50E+6;SPAN 10;:INP:COUP DC

  2.013  IF           @Opt_1DS || @Opt_110
# Ensure preamp (if equipped) is turned off.
  2.014  SCPI         POW:GAIN OFF
  2.015  ENDIF

  2.016  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1;:POW:RF:ATT 10
  2.017  SCPI         FREQ:SPAN 100;:BWID:RES 10;VID 10
  2.018  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;MODE DELTA

  2.019  HEAD         -2
  2.020  END

  2.021  EVAL   Increment Test number

# =====  Sub PSA Set Input Attenuation Switching Ref Level /9640  ===========

  3.001  LABEL        INPUT_ATTENUATION

  3.002  CALL         Sub PSA Display Connection

  3.003  IF           @Abort
  3.004  END
  3.005  ENDIF

  3.006  SCPI         SYST:PRES
  3.007  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6

  3.008  HEAD         -2 Input Attenuation: 10 dB (Reference)
  3.009  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  3.009  9640         +Level = -52 dBm; Frequency = 50 MHz
  3.010  SCPI         CAL:AUTO OFF
  3.011  SCPI         FREQ:CENT 50E+6;SPAN 100E+3;:POW:ATT 10
  3.012  SCPI         DISP:WIND:TRAC:Y:RLEV -60;PDIV 2;:BAND:RES 30E+3;VID 100
  3.013  SCPI         SWE:TIME:AUTO:RUL ACC
  3.014  MATH         @PSA_RefLvl = -62; @9640Lvl = @PSA_RefLvl + 10
  3.015  MATH         @HiLimit = @PSA_RefLvl + 0.05
  3.016  MATH         @LoLimit = @PSA_RefLvl - 0.05
  3.017  MATH         @9640Freq = 50E+6
  3.018  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

  3.019  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
  3.020  HEAD         -2 Setting UUT reference level, Please Wait...
  3.021  CALL         Sub PSA Set Ref Level (Log) /9640
  3.022  ENDW

  3.023  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
  3.024  EVAL   -e 0 : An error occurred during [V @TestName] test.
# Reset 'error' variable to false following error detection is sub.
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  MATH         @RefLvl = @9640Lvl; AccMode = @AccModeAtten50Abs
  4.005  MATH         @RefUnc = ACCV2(@9640DevName, AccMode, @RefLvl, 50E+6)
  4.006  SCPI         CALC:MARK:MODE DELTA

  4.007  END
