﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Set Configuration Variables
DATE:                  2014-12-17 11:40:59
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 9838 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       163
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        PSA series: E4440A, E4443A, E4445A, E4446A, E4447A, E4448A
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  This procedure defines variables to describe the UUT family fitted options
#  and combinations thereof, for use at runtime to select the desired tests
#  for the exact configuration of the PSA-series UUT being verified. It also
#  lists the fitted options to the results.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Check for preset type and restore on procedure termination.
  1.001  SCPI         SYST:PRES:TYPE?[I$]
  1.002  CLEAR        SYST:PRES:TYPE [MEM2];:ROSC:SOUR INT
# Set Preset Type to "FACTORY" for the procedure duration.
  1.003  SCPI         SYST:PRES:TYPE FACT
# Select Spectrum Analyzer operating mode.
  1.004  SCPI         INST:SEL SA
# Preset the UUT.
  1.005  SCPI         SYST:PRES

# For brevity, set flags to identify model numbers.
  1.006  MATH         @E4440A = FIND(@ModelNum, "E4440A", 1)
  1.007  MATH         @E4443A = FIND(@ModelNum, "E4443A", 1)
  1.008  MATH         @E4445A = FIND(@ModelNum, "E4445A", 1)
  1.009  MATH         @E4446A = FIND(@ModelNum, "E4446A", 1)
  1.010  MATH         @E4447A = FIND(@ModelNum, "E4447A", 1)
  1.011  MATH         @E4448A = FIND(@ModelNum, "E4448A", 1)

# Due to the fact that some tests, e.g., whether or not to test frequency
# response at multiple attenuation levels, vary based on the numeric serial
# prefix, this statement parses the prefix from the serial number for brevity
# when making test decisions within various procedures.
  1.012  MATH         @SN = SUB(@SerialNum, 3, 4)

# Similarly, specification changes exist as a result of the firmware version
# installed in the UUT. The following statement parses the numeric version
# from the firmware version for brevity when making test decisions within
# various procedures.
  1.013  MATH         @Rev = SUB(@FirmwareRev, 3, 5)

  1.014  RSLT         =
  1.015  HEAD         {INSTALLED OPTIONS}
  1.016  RSLT         =
  1.017  SCPI         SYST:OPT?[I$]
  1.018  MATH         Options = MEM2

# Initialize variable (no options installed).
  1.019  MATH         Option = 0
# Extract installed option codes from ID string.
  1.020  MATH         @Opt_AYZ = FIND(Options, "AYZ", 1)
  1.021  MATH         @Opt_BAB = FIND(Options, "BAB", 1)
  1.022  MATH         @Opt_B7J = FIND(Options, "B7J", 1)
  1.023  MATH         @Opt_1DS = FIND(Options, "1DS", 1)
  1.024  MATH         @Opt_107 = FIND(Options, "107", 1)
  1.025  MATH         @Opt_110 = FIND(Options, "110", 1)
  1.026  MATH         @Opt_122 = FIND(Options, "122", 1)
  1.027  MATH         @Opt_123 = FIND(Options, "123", 1)
  1.028  MATH         @Opt_140 = FIND(Options, "140", 1)
  1.029  MATH         @Opt_219 = FIND(Options, "219", 1)
  1.030  MATH         @Opt_226 = FIND(Options, "226", 1)
  1.031  MATH         @Opt_233 = FIND(Options, "233", 1)
  1.032  MATH         @Opt_241 = FIND(Options, "241", 1)

  1.033  IF           @Opt_AYZ
  1.034  RSLT         = AYZ (External Mixing)
  1.035  MATH         Option = 1
  1.036  ENDIF

  1.037  IF           @Opt_BAB
  1.038  RSLT         = BAB (APC 3.5 mm Input Connector)
  1.039  MATH         Option = 1
  1.040  ENDIF

  1.041  IF           @Opt_B7J
  1.042  RSLT         = B7D (Digital Demodulation Hardware)
  1.043  MATH         Option = 1
  1.044  ENDIF

  1.045  IF           @Opt_1DS
  1.046  RSLT         = 1DS (RF Internal Preamplifier)
  1.047  MATH         Option = 1
  1.048  ENDIF

  1.049  IF           @Opt_107
  1.050  RSLT         = 107 (Audio Input)
  1.051  MATH         Option = 1
  1.052  ENDIF

  1.053  IF           @Opt_110
  1.054  RSLT         = 110 (RF/µWave Internal Preamplifier)
  1.055  MATH         Option = 1
  1.056  ENDIF

  1.057  IF           @Opt_122
  1.058  RSLT         = 122 (80 MHz Bandwidth Digitizer)
  1.059  MATH         Option = 1
  1.060  ENDIF

  1.061  IF           @Opt_123
  1.062  RSLT         = 123 (Switchable µW Preselector Bypass)
  1.063  MATH         Option = 1
  1.064  ENDIF

  1.065  IF           @Opt_140
  1.066  RSLT         = 140 (40 MHz Bandwidth Digitizer)
  1.067  MATH         Option = 1
  1.068  ENDIF

  1.069  IF           @Opt_219
  1.070  RSLT         = 219 (Noise Figure Measurement Personality)
  1.071  MATH         Option = 1
  1.072  ENDIF

  1.073  IF           @Opt_226
  1.074  RSLT         = 226 (Phase Noise Measurement Personality)
  1.075  MATH         Option = 1
  1.076  ENDIF

  1.077  IF           @Opt_233
  1.078  RSLT         = 233 (N5531S Measuring Receiver Personality)
  1.079  MATH         Option = 1
  1.080  ENDIF

  1.081  IF           @Opt_241
  1.082  RSLT         = 241 (Flexible Digital Modulation Analysis)
  1.083  MATH         Option = 1
  1.084  ENDIF

  1.085  IF           NOT(Option)
  1.086  RSLT         = No Identified Options Installed
  1.087  ENDIF

# Define test regimen for use during Displayed Average Noise Level (DANL)
# testing based on UUT frequency range.

  1.088  IF           @E4440A || @E4443A || @E4445A
# DANL tests regimen for PSA analyzers <= 26.5 GHz.
  1.089  MATH         @DANL = "Low"
  1.090  ELSE
# DANL tests regimen for PSA analyzers > 26.5 GHz.
  1.091  MATH         @DANL = "High"
  1.092  ENDIF

  1.093  END
