﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Set Ref Level (Log) /UWSG
DATE:                  2015-06-05 22:17:03
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 12257 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       107
CONFIGURATION:         µW Signal Generator
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Agilent PSA series
#
# Compatibility:
#        MET/CAL 7.2 or later
#
# Subprocedures:
#        Sub Apply /UWSG
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub PSA Display Connection
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
# The necessary parameters for this procedure are passed from the calling
# procedure.
#
#  @TestName   : The name of the test.  Presented if an error occurs.
#  @RefLvl     : The desired reference level as measured by the UUT (PSA).
#  @TestLvl    : The UWSG output level required to generate the specified
#                reference level.
#  @HiLimit    : The upper limit of the setting aperture (in dBm).
#  @LoLimit    : The lower limit of the setting aperture (in dBm).
#
#                (The UWSG output frequency is previously set in the calling
#                 procedure.)
#
# Example:
# 1.001  SCPI         CALC:MARK:Y?[I]
# 1.002  MATH         @RefLvl = 0; @TestLvl = -4
# 1.003  MATH         @LoLimit = -0.05; @HiLimit = 0.05
# 1.004  CALL         Sub PSA Set Ref Level (Log) /UWSG
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@UWSG]
  1.003  ENDIF

  1.004  MATH         MaxRetries = 5
  1.005  MATH         Under = (MEM <= @LoLimit)
  1.006  MATH         Over  = (MEM >= @HiLimit)

  1.007  DO
  1.008  MATH         Count = 0; Retry = 1

  1.009  WHILE        (Under || Over) && Retry
  1.010  MATH         Delta = (@RefLvl - MEM)
  1.011  MATH         @TestLvl = @TestLvl + Delta
  1.012  MATH         @UWSG_Ampl = @TestLvl & "dBm"
  1.013  CALL         Sub Apply /UWSG
  1.014  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  1.015  MATH         Under = (MEM <= @LoLimit); Over = (MEM >= @HiLimit)
  1.016  MATH         Count = Count + 1; Retry = (Count <= MaxRetries)
  1.017  ENDW

  1.018  MATH         @Error = (Under || Over) && NOT(Retry)

  1.019  IF           @Error
  1.020  OPBR         -z Error: Unable to adjust µW Signal Generator output
  1.020  OPBR         [32]      level within its operating range to achieve
  1.020  OPBR         [32]      the desired test level ([V @RefLvl] dBm).
  1.020  OPBR
  1.020  OPBR         [32]      Verify UUT test requirements, UWSG output
  1.020  OPBR         [32]      limits, and connections prior to retrying,
  1.020  OPBR         [32]      if desired.
  1.020  OPBR
  1.020  OPBR         Do you wish to RETRY?
  1.020  OPBR
  1.020  OPBR         (Selecting "No" will cause the [V @TestName] test
  1.020  OPBR         to be terminated.)
  1.021  MATH         @Error = NOT(MEM1)

  1.022  IF           MEM1
  1.023  CALL         Sub PSA Display Connection

  1.024  IF           @Abort
  1.025  END
  1.026  ENDIF

  1.027  MATH         @TestLvl = @RefLvl; MEM = @RefLvl
  1.028  ENDIF

  1.029  ENDIF

  1.030  UNTIL        (NOT(Under) && NOT(Over)) || @Error

  1.031  END
