﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA µW Frequency Response Test /4418,8485,SWPG
DATE:                  2012-01-10
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       89
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent ESA series > 3 GHz, <= 26.5 GHz
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub Apply /SWPG
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub PSA Set Ref Level (Log) /SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#
#  Required Files:
#        None
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 26.5 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -45 to -5 dBm
#            Accuracy: ±2 dB
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @Band = "1"
# 1.002  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
# M4418 statement to allow procedure to compile.
  1.002  M4418  F64   8485A
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  MATH         HeadFreq = FMT((@TestFreq / 1E+9), "%5.3f")
  1.006  HEAD         -2 Center Frequency: [V HeadFreq] GHz
  1.007  TARGET       -p

  1.008  IF           ((@TestFreq < 10E+9) && (NOT(@E4443A)))
  1.009  TSET         TDESC = [32][V HeadFreq] GHz
  1.010  ELSE
  1.011  TSET         TDESC = [V HeadFreq] GHz
  1.012  ENDIF

  1.013  MATH         @SWPG_Freq = @TestFreq & "Hz"
  1.014  CALL         Sub Apply /SWPG
  1.015  SCPI         FREQ:CENT [V @TestFreq];:POW:PCEN
  1.016  TARGET       -m
  1.017  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.018  SCPI         CALC:MARK:Y?[I]
  1.019  CALL         Sub PSA Set Ref Level (Log) /SWPG
  1.020  MATH         MEM = @TestFreq
# Set NOIMNAL value to -25 dBm for compatibility with low-level test.
  1.021  4418         -25.00D                      H                 RF N  CH1
  1.022  MATH         @FreqResp = MEM - @RefPower
  1.023  CALL         Sub Compute Power Splitter Leveling Uncertainty
  1.024  MATH         L[1] = SQRT(@LevelUncPct^2 + @RefUncPct^2) * 2
  1.025  MATH         L[1] = PCTTODBW_D(L[1])
  1.026  MATH         MEM = @FreqResp
  1.027  ACC          0.00dB         L1U
  1.028  MEMCX        0.00dB         TOL
  2.001  END
