﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Set PSA TOI Test Levels /4418,8485,SWPG,UWSG
DATE:                  2013-04-30 17:53:40
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2887 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       79
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA Series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Subprocedures:
#        Sub Output Off /UWSG
#        Sub Apply /SWPG
#        Sub Level Signal /4418,8485,SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub Output Off /SWPG
#        Sub Apply /UWSG
#        Sub PSA Set Ref Level (Log) /UWSG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0

  1.002  HEAD         -2 Setting SWPG [V @SWPG_Freq] TOI Test Level
  1.003  CALL         Sub Output Off /UWSG
  1.004  CALL         Sub Apply /SWPG
# Ref Level and Limits specified in absolute units.
  1.005  MATH         @CenterFreq = BASE(@SWPG_Freq)
  1.006  MATH         @RefLvl = -8; @TestLvl = @SWPG_Ampl
  1.007  MATH         @HiLimit = @RefLvl + 0.05; @LoLimit = @RefLvl - 0.05
  1.008  CALL         Sub Level Signal /4418,8485,SWPG

  1.009  IF           @Error
  1.010  MATH         @Error = 0
  1.011  END
  1.012  ENDIF

  1.013  MATH         @TestFreq = @CenterFreq
  1.014  CALL         Sub Compute Power Splitter Leveling Uncertainty
# Combine level uncertainty and UUT linearity spec (%), and convert to dB.
  1.015  MATH         M[1] = PCTTODBW_D(RSS2(@LevelUncPct, @UUT_SpecPct) * 2)
  1.016  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.017  SCPI         CALC:MARK:MODE DELTA
  1.018  CALL         Sub Output Off /SWPG

  1.019  HEAD         -2 Setting UWSG [V @UWSG_Freq] TOI Test Level
  1.020  MATH         L[1] = BASE(@UWSG_Freq)
  1.021  SCPI         FREQ:CENT [L1]
  1.022  CALL         Sub Apply /UWSG
# Ref Level and ±Limits specified in relative units due to delta marker
# usage.
  1.023  MATH         @RefLvl = 0; @TestLvl = @UWSG_Ampl
  1.024  MATH         @HiLimit = @RefLvl + 0.05; @LoLimit = @RefLvl - 0.05
  1.025  CALL         Sub PSA Set Ref Level (Log) /UWSG

  1.026  IF           NOT(@Error)
  1.027  CALL         Sub Apply /SWPG
  1.028  ENDIF

  1.029  END
